/* Generated by CIL v. 1.7.3 */
/* print_CIL_Input is true */

#line 553 "replace.c"
void __globinit_replace(void) ;
extern void __CrestInit(void)  __attribute__((__crest_skip__)) ;
extern void __CrestHandleReturn(int id , long long val )  __attribute__((__crest_skip__)) ;
extern void __CrestReturn(int id )  __attribute__((__crest_skip__)) ;
extern void __CrestCall(int id , unsigned int fid )  __attribute__((__crest_skip__)) ;
extern void __CrestBranch(int id , int bid , unsigned char b )  __attribute__((__crest_skip__)) ;
extern void __CrestApply2(int id , int op , long long val )  __attribute__((__crest_skip__)) ;
extern void __CrestApply1(int id , int op , long long val )  __attribute__((__crest_skip__)) ;
extern void __CrestClearStack(int id )  __attribute__((__crest_skip__)) ;
extern void __CrestStore(int id , unsigned long addr )  __attribute__((__crest_skip__)) ;
extern void __CrestLoad(int id , unsigned long addr , long long val )  __attribute__((__crest_skip__)) ;
#line 131 "/usr/include/x86_64-linux-gnu/bits/types.h"
typedef long __off_t;
#line 132 "/usr/include/x86_64-linux-gnu/bits/types.h"
typedef long __off64_t;
#line 212 "/usr/lib/gcc/x86_64-linux-gnu/4.8/include/stddef.h"
typedef unsigned long size_t;
#line 44 "/usr/include/stdio.h"
struct _IO_FILE;
#line 44
struct _IO_FILE;
#line 48 "/usr/include/stdio.h"
typedef struct _IO_FILE FILE;
#line 144 "/usr/include/libio.h"
struct _IO_FILE;
#line 154 "/usr/include/libio.h"
typedef void _IO_lock_t;
#line 160 "/usr/include/libio.h"
struct _IO_marker {
   struct _IO_marker *_next ;
   struct _IO_FILE *_sbuf ;
   int _pos ;
};
#line 245 "/usr/include/libio.h"
struct _IO_FILE {
   int _flags ;
   char *_IO_read_ptr ;
   char *_IO_read_end ;
   char *_IO_read_base ;
   char *_IO_write_base ;
   char *_IO_write_ptr ;
   char *_IO_write_end ;
   char *_IO_buf_base ;
   char *_IO_buf_end ;
   char *_IO_save_base ;
   char *_IO_backup_base ;
   char *_IO_save_end ;
   struct _IO_marker *_markers ;
   struct _IO_FILE *_chain ;
   int _fileno ;
   int _flags2 ;
   __off_t _old_offset ;
   unsigned short _cur_column ;
   signed char _vtable_offset ;
   char _shortbuf[1] ;
   _IO_lock_t *_lock ;
   __off64_t _offset ;
   void *__pad1 ;
   void *__pad2 ;
   void *__pad3 ;
   void *__pad4 ;
   size_t __pad5 ;
   int _mode ;
   char _unused2[(15UL * sizeof(int ) - 4UL * sizeof(void *)) - sizeof(size_t )] ;
};
#line 12 "replace.c"
typedef char bool;
#line 41 "replace.c"
typedef char character;
#line 42 "replace.c"
typedef char string[100];
#line 79 "/usr/include/ctype.h"
extern  __attribute__((__nothrow__)) unsigned short const   **( __attribute__((__leaf__)) __ctype_b_loc)(void)  __attribute__((__const__)) ;
#line 169 "/usr/include/stdio.h"
extern struct _IO_FILE *stdout ;
#line 356
extern int fprintf(FILE * __restrict  __stream , char const   * __restrict  __format 
                   , ...) ;
#line 573
extern int fputc(int __c , FILE *__stream ) ;
#line 515 "/usr/include/stdlib.h"
extern  __attribute__((__nothrow__, __noreturn__)) void ( __attribute__((__leaf__)) abort)(void) ;
#line 543
extern  __attribute__((__nothrow__, __noreturn__)) void ( __attribute__((__leaf__)) exit)(int __status ) ;
#line 200 "../bin/../include/crest.h"
extern void __CrestChar(char *x )  __attribute__((__crest_skip__)) ;
#line 10 "replace.c"
void Caseerror(int n ) ;
#line 44 "replace.c"
bool getline2(char *s , int maxsize ) 
{ 
  char *mem_4 ;
  bool __retres5 ;

  {
  __CrestCall(2, 1);
  __CrestStore(1, (unsigned long )(& maxsize));
#line 57
  __CrestChar(s + 0);
#line 58
  __CrestChar(s + 1);
#line 59
  __CrestChar(s + 2);
#line 60
  __CrestChar(s + 3);
#line 61
  __CrestChar(s + 4);
#line 62
  __CrestChar(s + 5);
#line 63
  __CrestChar(s + 6);
#line 64
  __CrestChar(s + 7);
#line 65
  __CrestChar(s + 8);
#line 66
  __CrestChar(s + 9);
#line 67
  __CrestChar(s + 10);
#line 68
  __CrestChar(s + 11);
#line 69
  __CrestChar(s + 12);
#line 70
  __CrestChar(s + 13);
#line 71
  __CrestChar(s + 14);
#line 72
  __CrestChar(s + 15);
#line 73
  __CrestChar(s + 16);
#line 74
  __CrestChar(s + 17);
#line 75
  __CrestChar(s + 18);
#line 77
  mem_4 = s + 19;
  __CrestLoad(3, (unsigned long )0, (long long )((char )'\000'));
  __CrestStore(4, (unsigned long )mem_4);
#line 77
  *mem_4 = (char )'\000';
  __CrestLoad(5, (unsigned long )0, (long long )((bool )1));
  __CrestStore(6, (unsigned long )(& __retres5));
#line 78
  __retres5 = (bool )1;
  {
  __CrestLoad(7, (unsigned long )(& __retres5), (long long )__retres5);
  __CrestReturn(8);
#line 44
  return (__retres5);
  }
}
}
#line 81 "replace.c"
int addstr(char c , char *outset , int *j , int maxset ) 
{ 
  bool result ;
  char *mem_6 ;
  int __retres7 ;

  {
  __CrestCall(11, 2);
  __CrestStore(10, (unsigned long )(& maxset));
  __CrestStore(9, (unsigned long )(& c));
  {
  __CrestLoad(14, (unsigned long )j, (long long )*j);
  __CrestLoad(13, (unsigned long )(& maxset), (long long )maxset);
  __CrestApply2(12, 17, (long long )(*j >= maxset));
#line 89
  if (*j >= maxset) {
    __CrestBranch(15, 5, 1);
    __CrestLoad(17, (unsigned long )0, (long long )((bool )0));
    __CrestStore(18, (unsigned long )(& result));
#line 90
    result = (bool )0;
  } else {
    __CrestBranch(16, 6, 0);
#line 92
    mem_6 = outset + *j;
    __CrestLoad(19, (unsigned long )(& c), (long long )c);
    __CrestStore(20, (unsigned long )mem_6);
#line 92
    *mem_6 = c;
    __CrestLoad(23, (unsigned long )j, (long long )*j);
    __CrestLoad(22, (unsigned long )0, (long long )1);
    __CrestApply2(21, 0, (long long )(*j + 1));
    __CrestStore(24, (unsigned long )j);
#line 93
    (*j) ++;
    __CrestLoad(25, (unsigned long )0, (long long )((bool )1));
    __CrestStore(26, (unsigned long )(& result));
#line 94
    result = (bool )1;
  }
  }
  __CrestLoad(27, (unsigned long )(& result), (long long )result);
  __CrestStore(28, (unsigned long )(& __retres7));
#line 96
  __retres7 = (int )result;
  {
  __CrestLoad(29, (unsigned long )(& __retres7), (long long )__retres7);
  __CrestReturn(30);
#line 81
  return (__retres7);
  }
}
}
#line 99 "replace.c"
char esc(char *s , int *i ) 
{ 
  char result ;
  char *mem_4 ;
  char *mem_5 ;
  char *mem_6 ;
  char *mem_7 ;
  char *mem_8 ;
  char *mem_9 ;

  {
  __CrestCall(31, 3);

  {
#line 105
  mem_4 = s + *i;
  {
  __CrestLoad(34, (unsigned long )mem_4, (long long )*mem_4);
  __CrestLoad(33, (unsigned long )0, (long long )64);
  __CrestApply2(32, 13, (long long )((int )*mem_4 != 64));
#line 105
  if ((int )*mem_4 != 64) {
    __CrestBranch(35, 12, 1);
#line 106
    mem_5 = s + *i;
    __CrestLoad(37, (unsigned long )mem_5, (long long )*mem_5);
    __CrestStore(38, (unsigned long )(& result));
#line 106
    result = *mem_5;
  } else {
    __CrestBranch(36, 13, 0);
    {
#line 108
    mem_6 = s + (*i + 1);
    {
    __CrestLoad(41, (unsigned long )mem_6, (long long )*mem_6);
    __CrestLoad(40, (unsigned long )0, (long long )0);
    __CrestApply2(39, 12, (long long )((int )*mem_6 == 0));
#line 108
    if ((int )*mem_6 == 0) {
      __CrestBranch(42, 16, 1);
      __CrestLoad(44, (unsigned long )0, (long long )((char )'@'));
      __CrestStore(45, (unsigned long )(& result));
#line 109
      result = (char )'@';
    } else {
      __CrestBranch(43, 17, 0);
      __CrestLoad(48, (unsigned long )i, (long long )*i);
      __CrestLoad(47, (unsigned long )0, (long long )1);
      __CrestApply2(46, 0, (long long )(*i + 1));
      __CrestStore(49, (unsigned long )i);
#line 112
      (*i) ++;
      {
#line 113
      mem_7 = s + *i;
      {
      __CrestLoad(52, (unsigned long )mem_7, (long long )*mem_7);
      __CrestLoad(51, (unsigned long )0, (long long )110);
      __CrestApply2(50, 12, (long long )((int )*mem_7 == 110));
#line 113
      if ((int )*mem_7 == 110) {
        __CrestBranch(53, 21, 1);
        __CrestLoad(55, (unsigned long )0, (long long )(char)10);
        __CrestStore(56, (unsigned long )(& result));
#line 114
        result = (char)10;
      } else {
        __CrestBranch(54, 22, 0);
        {
#line 116
        mem_8 = s + *i;
        {
        __CrestLoad(59, (unsigned long )mem_8, (long long )*mem_8);
        __CrestLoad(58, (unsigned long )0, (long long )116);
        __CrestApply2(57, 12, (long long )((int )*mem_8 == 116));
#line 116
        if ((int )*mem_8 == 116) {
          __CrestBranch(60, 25, 1);
          __CrestLoad(62, (unsigned long )0, (long long )(char)9);
          __CrestStore(63, (unsigned long )(& result));
#line 117
          result = (char)9;
        } else {
          __CrestBranch(61, 26, 0);
#line 119
          mem_9 = s + *i;
          __CrestLoad(64, (unsigned long )mem_9, (long long )*mem_9);
          __CrestStore(65, (unsigned long )(& result));
#line 119
          result = *mem_9;
        }
        }
        }
      }
      }
      }
    }
    }
    }
  }
  }
  }
  {
  __CrestLoad(66, (unsigned long )(& result), (long long )result);
  __CrestReturn(67);
#line 121
  return (result);
  }
}
}
#line 124
void change(char *pat , char *sub ) ;
#line 126 "replace.c"
void dodash(char delim , char *src , int *i , char *dest , int *j , int maxset ) 
{ 
  int k ;
  bool junk ;
  char escjunk ;
  int tmp ;
  int tmp___0 ;
  int tmp___1 ;
  int tmp___2 ;
  int tmp___3 ;
  unsigned short const   **tmp___4 ;
  unsigned short const   **tmp___5 ;
  char *mem_17 ;
  char *mem_18 ;
  char *mem_19 ;
  char *mem_20 ;
  char *mem_21 ;
  char *mem_22 ;
  char *mem_23 ;
  unsigned short const   *mem_24 ;
  char *mem_25 ;
  unsigned short const   *mem_26 ;
  char *mem_27 ;
  char *mem_28 ;
  char *mem_29 ;
  char *mem_30 ;

  {
  __CrestCall(70, 4);
  __CrestStore(69, (unsigned long )(& maxset));
  __CrestStore(68, (unsigned long )(& delim));
  {
#line 139
  while (1) {
    while_continue: /* CIL Label */ ;
    {
#line 139
    mem_17 = src + *i;
    {
    __CrestLoad(73, (unsigned long )mem_17, (long long )*mem_17);
    __CrestLoad(72, (unsigned long )(& delim), (long long )delim);
    __CrestApply2(71, 13, (long long )((int )*mem_17 != (int )delim));
#line 139
    if ((int )*mem_17 != (int )delim) {
      __CrestBranch(74, 34, 1);
      {
#line 139
      mem_18 = src + *i;
      {
      __CrestLoad(78, (unsigned long )mem_18, (long long )*mem_18);
      __CrestLoad(77, (unsigned long )0, (long long )0);
      __CrestApply2(76, 13, (long long )((int )*mem_18 != 0));
#line 139
      if ((int )*mem_18 != 0) {
        __CrestBranch(79, 37, 1);

      } else {
        __CrestBranch(80, 38, 0);
#line 139
        goto while_break;
      }
      }
      }
    } else {
      __CrestBranch(75, 39, 0);
#line 139
      goto while_break;
    }
    }
    }
    {
#line 141
    mem_19 = src + (*i - 1);
    {
    __CrestLoad(83, (unsigned long )mem_19, (long long )*mem_19);
    __CrestLoad(82, (unsigned long )0, (long long )64);
    __CrestApply2(81, 12, (long long )((int )*mem_19 == 64));
#line 141
    if ((int )*mem_19 == 64) {
      __CrestBranch(84, 43, 1);
#line 142
      escjunk = esc(src, i);
      __CrestHandleReturn(87, (long long )escjunk);
      __CrestStore(86, (unsigned long )(& escjunk));
      __CrestLoad(88, (unsigned long )(& escjunk), (long long )escjunk);
      __CrestLoad(89, (unsigned long )(& maxset), (long long )maxset);
#line 143
      tmp = addstr(escjunk, dest, j, maxset);
      __CrestHandleReturn(91, (long long )tmp);
      __CrestStore(90, (unsigned long )(& tmp));
      __CrestLoad(92, (unsigned long )(& tmp), (long long )tmp);
      __CrestStore(93, (unsigned long )(& junk));
#line 143
      junk = (bool )tmp;
    } else {
      __CrestBranch(85, 44, 0);
      {
#line 145
      mem_20 = src + *i;
      {
      __CrestLoad(96, (unsigned long )mem_20, (long long )*mem_20);
      __CrestLoad(95, (unsigned long )0, (long long )45);
      __CrestApply2(94, 13, (long long )((int )*mem_20 != 45));
#line 145
      if ((int )*mem_20 != 45) {
        __CrestBranch(97, 47, 1);
#line 146
        mem_21 = src + *i;
        __CrestLoad(99, (unsigned long )mem_21, (long long )*mem_21);
        __CrestLoad(100, (unsigned long )(& maxset), (long long )maxset);
#line 146
        tmp___0 = addstr(*mem_21, dest, j, maxset);
        __CrestHandleReturn(102, (long long )tmp___0);
        __CrestStore(101, (unsigned long )(& tmp___0));
        __CrestLoad(103, (unsigned long )(& tmp___0), (long long )tmp___0);
        __CrestStore(104, (unsigned long )(& junk));
#line 146
        junk = (bool )tmp___0;
      } else {
        __CrestBranch(98, 48, 0);
        {
        __CrestLoad(107, (unsigned long )j, (long long )*j);
        __CrestLoad(106, (unsigned long )0, (long long )1);
        __CrestApply2(105, 15, (long long )(*j <= 1));
#line 147
        if (*j <= 1) {
          __CrestBranch(108, 49, 1);
          __CrestLoad(110, (unsigned long )0, (long long )((char )'-'));
          __CrestLoad(111, (unsigned long )(& maxset), (long long )maxset);
#line 148
          tmp___1 = addstr((char )'-', dest, j, maxset);
          __CrestHandleReturn(113, (long long )tmp___1);
          __CrestStore(112, (unsigned long )(& tmp___1));
          __CrestLoad(114, (unsigned long )(& tmp___1), (long long )tmp___1);
          __CrestStore(115, (unsigned long )(& junk));
#line 148
          junk = (bool )tmp___1;
        } else {
          __CrestBranch(109, 50, 0);
          {
#line 147
          mem_22 = src + (*i + 1);
          {
          __CrestLoad(118, (unsigned long )mem_22, (long long )*mem_22);
          __CrestLoad(117, (unsigned long )0, (long long )0);
          __CrestApply2(116, 12, (long long )((int )*mem_22 == 0));
#line 147
          if ((int )*mem_22 == 0) {
            __CrestBranch(119, 53, 1);
            __CrestLoad(121, (unsigned long )0, (long long )((char )'-'));
            __CrestLoad(122, (unsigned long )(& maxset), (long long )maxset);
#line 148
            tmp___1 = addstr((char )'-', dest, j, maxset);
            __CrestHandleReturn(124, (long long )tmp___1);
            __CrestStore(123, (unsigned long )(& tmp___1));
            __CrestLoad(125, (unsigned long )(& tmp___1), (long long )tmp___1);
            __CrestStore(126, (unsigned long )(& junk));
#line 148
            junk = (bool )tmp___1;
          } else {
            __CrestBranch(120, 54, 0);
#line 149
            tmp___4 = __ctype_b_loc();
            __CrestClearStack(127);
            {
#line 149
            mem_23 = src + (*i - 1);
#line 149
            mem_24 = *tmp___4 + (int )*mem_23;
            {
            __CrestLoad(132, (unsigned long )mem_24, (long long )*mem_24);
            __CrestLoad(131, (unsigned long )0, (long long )8);
            __CrestApply2(130, 5, (long long )((int const   )*mem_24 & 8));
            __CrestLoad(129, (unsigned long )0, (long long )0);
            __CrestApply2(128, 13, (long long )(((int const   )*mem_24 & 8) != 0));
#line 149
            if (((int const   )*mem_24 & 8) != 0) {
              __CrestBranch(133, 58, 1);
#line 149
              tmp___5 = __ctype_b_loc();
              __CrestClearStack(135);
              {
#line 149
              mem_25 = src + (*i + 1);
#line 149
              mem_26 = *tmp___5 + (int )*mem_25;
              {
              __CrestLoad(140, (unsigned long )mem_26, (long long )*mem_26);
              __CrestLoad(139, (unsigned long )0, (long long )8);
              __CrestApply2(138, 5, (long long )((int const   )*mem_26 & 8));
              __CrestLoad(137, (unsigned long )0, (long long )0);
              __CrestApply2(136, 13, (long long )(((int const   )*mem_26 & 8) != 0));
#line 149
              if (((int const   )*mem_26 & 8) != 0) {
                __CrestBranch(141, 62, 1);
                {
#line 149
                mem_27 = src + (*i - 1);
#line 149
                mem_28 = src + (*i + 1);
                {
                __CrestLoad(145, (unsigned long )mem_27, (long long )*mem_27);
                __CrestLoad(144, (unsigned long )mem_28, (long long )*mem_28);
                __CrestApply2(143, 15, (long long )((int )*mem_27 <= (int )*mem_28));
#line 149
                if ((int )*mem_27 <= (int )*mem_28) {
                  __CrestBranch(146, 65, 1);
#line 152
                  mem_29 = src + (*i - 1);
                  __CrestLoad(150, (unsigned long )mem_29, (long long )*mem_29);
                  __CrestLoad(149, (unsigned long )0, (long long )1);
                  __CrestApply2(148, 0, (long long )((int )*mem_29 + 1));
                  __CrestStore(151, (unsigned long )(& k));
#line 152
                  k = (int )*mem_29 + 1;
                  {
#line 152
                  while (1) {
                    while_continue___0: /* CIL Label */ ;
                    {
#line 152
                    mem_30 = src + (*i + 1);
                    {
                    __CrestLoad(154, (unsigned long )(& k), (long long )k);
                    __CrestLoad(153, (unsigned long )mem_30, (long long )*mem_30);
                    __CrestApply2(152, 15, (long long )(k <= (int )*mem_30));
#line 152
                    if (k <= (int )*mem_30) {
                      __CrestBranch(155, 72, 1);

                    } else {
                      __CrestBranch(156, 73, 0);
#line 152
                      goto while_break___0;
                    }
                    }
                    }
                    __CrestLoad(157, (unsigned long )(& k), (long long )k);
                    __CrestLoad(158, (unsigned long )(& maxset), (long long )maxset);
#line 154
                    tmp___2 = addstr((char )k, dest, j, maxset);
                    __CrestHandleReturn(160, (long long )tmp___2);
                    __CrestStore(159, (unsigned long )(& tmp___2));
                    __CrestLoad(161, (unsigned long )(& tmp___2), (long long )tmp___2);
                    __CrestStore(162, (unsigned long )(& junk));
#line 154
                    junk = (bool )tmp___2;
                    __CrestLoad(165, (unsigned long )(& k), (long long )k);
                    __CrestLoad(164, (unsigned long )0, (long long )1);
                    __CrestApply2(163, 0, (long long )(k + 1));
                    __CrestStore(166, (unsigned long )(& k));
#line 152
                    k ++;
                  }
                  while_break___0: /* CIL Label */ ;
                  }
                  __CrestLoad(169, (unsigned long )i, (long long )*i);
                  __CrestLoad(168, (unsigned long )0, (long long )1);
                  __CrestApply2(167, 0, (long long )(*i + 1));
                  __CrestStore(170, (unsigned long )i);
#line 156
                  (*i) ++;
                } else {
                  __CrestBranch(147, 77, 0);
                  __CrestLoad(171, (unsigned long )0, (long long )((char )'-'));
                  __CrestLoad(172, (unsigned long )(& maxset), (long long )maxset);
#line 159
                  tmp___3 = addstr((char )'-', dest, j, maxset);
                  __CrestHandleReturn(174, (long long )tmp___3);
                  __CrestStore(173, (unsigned long )(& tmp___3));
                  __CrestLoad(175, (unsigned long )(& tmp___3), (long long )tmp___3);
                  __CrestStore(176, (unsigned long )(& junk));
#line 159
                  junk = (bool )tmp___3;
                }
                }
                }
              } else {
                __CrestBranch(142, 78, 0);
                __CrestLoad(177, (unsigned long )0, (long long )((char )'-'));
                __CrestLoad(178, (unsigned long )(& maxset), (long long )maxset);
#line 159
                tmp___3 = addstr((char )'-', dest, j, maxset);
                __CrestHandleReturn(180, (long long )tmp___3);
                __CrestStore(179, (unsigned long )(& tmp___3));
                __CrestLoad(181, (unsigned long )(& tmp___3), (long long )tmp___3);
                __CrestStore(182, (unsigned long )(& junk));
#line 159
                junk = (bool )tmp___3;
              }
              }
              }
            } else {
              __CrestBranch(134, 79, 0);
              __CrestLoad(183, (unsigned long )0, (long long )((char )'-'));
              __CrestLoad(184, (unsigned long )(& maxset), (long long )maxset);
#line 159
              tmp___3 = addstr((char )'-', dest, j, maxset);
              __CrestHandleReturn(186, (long long )tmp___3);
              __CrestStore(185, (unsigned long )(& tmp___3));
              __CrestLoad(187, (unsigned long )(& tmp___3), (long long )tmp___3);
              __CrestStore(188, (unsigned long )(& junk));
#line 159
              junk = (bool )tmp___3;
            }
            }
            }
          }
          }
          }
        }
        }
      }
      }
      }
    }
    }
    }
    __CrestLoad(191, (unsigned long )i, (long long )*i);
    __CrestLoad(190, (unsigned long )0, (long long )1);
    __CrestApply2(189, 0, (long long )(*i + 1));
    __CrestStore(192, (unsigned long )i);
#line 160
    (*i) ++;
  }
  while_break: /* CIL Label */ ;
  }

  {
  __CrestReturn(193);
#line 126
  return;
  }
}
}
#line 164 "replace.c"
bool getccl(char *arg , int *i , char *pat , int *j ) 
{ 
  int jstart ;
  bool junk ;
  int tmp ;
  int tmp___0 ;
  int tmp___1 ;
  char *mem_10 ;
  char *mem_11 ;
  char *mem_12 ;
  bool __retres13 ;

  {
  __CrestCall(194, 5);

  __CrestLoad(197, (unsigned long )i, (long long )*i);
  __CrestLoad(196, (unsigned long )0, (long long )1);
  __CrestApply2(195, 0, (long long )(*i + 1));
  __CrestStore(198, (unsigned long )i);
#line 174
  (*i) ++;
  {
#line 175
  mem_10 = arg + *i;
  {
  __CrestLoad(201, (unsigned long )mem_10, (long long )*mem_10);
  __CrestLoad(200, (unsigned long )0, (long long )94);
  __CrestApply2(199, 12, (long long )((int )*mem_10 == 94));
#line 175
  if ((int )*mem_10 == 94) {
    __CrestBranch(202, 88, 1);
    __CrestLoad(204, (unsigned long )0, (long long )((char )'!'));
    __CrestLoad(205, (unsigned long )0, (long long )100);
#line 176
    tmp = addstr((char )'!', pat, j, 100);
    __CrestHandleReturn(207, (long long )tmp);
    __CrestStore(206, (unsigned long )(& tmp));
    __CrestLoad(208, (unsigned long )(& tmp), (long long )tmp);
    __CrestStore(209, (unsigned long )(& junk));
#line 176
    junk = (bool )tmp;
    __CrestLoad(212, (unsigned long )i, (long long )*i);
    __CrestLoad(211, (unsigned long )0, (long long )1);
    __CrestApply2(210, 0, (long long )(*i + 1));
    __CrestStore(213, (unsigned long )i);
#line 177
    (*i) ++;
  } else {
    __CrestBranch(203, 89, 0);
    __CrestLoad(214, (unsigned long )0, (long long )((char )'['));
    __CrestLoad(215, (unsigned long )0, (long long )100);
#line 179
    tmp___0 = addstr((char )'[', pat, j, 100);
    __CrestHandleReturn(217, (long long )tmp___0);
    __CrestStore(216, (unsigned long )(& tmp___0));
    __CrestLoad(218, (unsigned long )(& tmp___0), (long long )tmp___0);
    __CrestStore(219, (unsigned long )(& junk));
#line 179
    junk = (bool )tmp___0;
  }
  }
  }
  __CrestLoad(220, (unsigned long )j, (long long )*j);
  __CrestStore(221, (unsigned long )(& jstart));
#line 180
  jstart = *j;
  __CrestLoad(222, (unsigned long )0, (long long )(char)0);
  __CrestLoad(223, (unsigned long )0, (long long )100);
#line 181
  tmp___1 = addstr((char)0, pat, j, 100);
  __CrestHandleReturn(225, (long long )tmp___1);
  __CrestStore(224, (unsigned long )(& tmp___1));
  __CrestLoad(226, (unsigned long )(& tmp___1), (long long )tmp___1);
  __CrestStore(227, (unsigned long )(& junk));
#line 181
  junk = (bool )tmp___1;
  __CrestLoad(228, (unsigned long )0, (long long )((char )']'));
  __CrestLoad(229, (unsigned long )0, (long long )100);
#line 182
  dodash((char )']', arg, i, pat, j, 100);
  __CrestClearStack(230);
#line 183
  mem_11 = pat + jstart;
  __CrestLoad(235, (unsigned long )j, (long long )*j);
  __CrestLoad(234, (unsigned long )(& jstart), (long long )jstart);
  __CrestApply2(233, 1, (long long )(*j - jstart));
  __CrestLoad(232, (unsigned long )0, (long long )1);
  __CrestApply2(231, 1, (long long )((*j - jstart) - 1));
  __CrestStore(236, (unsigned long )mem_11);
#line 183
  *mem_11 = (char )((*j - jstart) - 1);
  {
#line 184
  mem_12 = arg + *i;
  __CrestLoad(239, (unsigned long )mem_12, (long long )*mem_12);
  __CrestLoad(238, (unsigned long )0, (long long )93);
  __CrestApply2(237, 12, (long long )((int )*mem_12 == 93));
  __CrestStore(240, (unsigned long )(& __retres13));
#line 184
  __retres13 = (bool )((int )*mem_12 == 93);
#line 184
  goto return_label;
  }
  return_label: /* CIL Label */ 
  {
  __CrestLoad(241, (unsigned long )(& __retres13), (long long )__retres13);
  __CrestReturn(242);
#line 164
  return (__retres13);
  }
}
}
#line 187 "replace.c"
void stclose(char *pat , int *j , int lastj ) 
{ 
  int jt ;
  int jp ;
  bool junk ;
  int tmp ;
  char *mem_8 ;
  char *mem_9 ;

  {
  __CrestCall(244, 6);
  __CrestStore(243, (unsigned long )(& lastj));
  __CrestLoad(247, (unsigned long )j, (long long )*j);
  __CrestLoad(246, (unsigned long )0, (long long )1);
  __CrestApply2(245, 1, (long long )(*j - 1));
  __CrestStore(248, (unsigned long )(& jp));
#line 198
  jp = *j - 1;
  {
#line 198
  while (1) {
    while_continue: /* CIL Label */ ;
    {
    __CrestLoad(251, (unsigned long )(& jp), (long long )jp);
    __CrestLoad(250, (unsigned long )(& lastj), (long long )lastj);
    __CrestApply2(249, 17, (long long )(jp >= lastj));
#line 198
    if (jp >= lastj) {
      __CrestBranch(252, 101, 1);

    } else {
      __CrestBranch(253, 102, 0);
#line 198
      goto while_break;
    }
    }
    __CrestLoad(256, (unsigned long )(& jp), (long long )jp);
    __CrestLoad(255, (unsigned long )0, (long long )1);
    __CrestApply2(254, 0, (long long )(jp + 1));
    __CrestStore(257, (unsigned long )(& jt));
#line 200
    jt = jp + 1;
#line 201
    mem_8 = pat + jp;
    __CrestLoad(258, (unsigned long )mem_8, (long long )*mem_8);
    __CrestLoad(259, (unsigned long )0, (long long )100);
#line 201
    tmp = addstr(*mem_8, pat, & jt, 100);
    __CrestHandleReturn(261, (long long )tmp);
    __CrestStore(260, (unsigned long )(& tmp));
    __CrestLoad(262, (unsigned long )(& tmp), (long long )tmp);
    __CrestStore(263, (unsigned long )(& junk));
#line 201
    junk = (bool )tmp;
    __CrestLoad(266, (unsigned long )(& jp), (long long )jp);
    __CrestLoad(265, (unsigned long )0, (long long )1);
    __CrestApply2(264, 1, (long long )(jp - 1));
    __CrestStore(267, (unsigned long )(& jp));
#line 198
    jp --;
  }
  while_break: /* CIL Label */ ;
  }
  __CrestLoad(270, (unsigned long )j, (long long )*j);
  __CrestLoad(269, (unsigned long )0, (long long )1);
  __CrestApply2(268, 0, (long long )(*j + 1));
  __CrestStore(271, (unsigned long )j);
#line 203
  (*j) ++;
#line 204
  mem_9 = pat + lastj;
  __CrestLoad(272, (unsigned long )0, (long long )((char )'*'));
  __CrestStore(273, (unsigned long )mem_9);
#line 204
  *mem_9 = (char )'*';

  {
  __CrestReturn(274);
#line 187
  return;
  }
}
}
#line 207 "replace.c"
bool in_set_2(char c ) 
{ 
  int tmp ;
  bool __retres3 ;

  {
  __CrestCall(276, 7);
  __CrestStore(275, (unsigned long )(& c));
  {
  __CrestLoad(279, (unsigned long )(& c), (long long )c);
  __CrestLoad(278, (unsigned long )0, (long long )37);
  __CrestApply2(277, 12, (long long )((int )c == 37));
#line 210
  if ((int )c == 37) {
    __CrestBranch(280, 109, 1);
    __CrestLoad(282, (unsigned long )0, (long long )1);
    __CrestStore(283, (unsigned long )(& tmp));
#line 210
    tmp = 1;
  } else {
    __CrestBranch(281, 110, 0);
    {
    __CrestLoad(286, (unsigned long )(& c), (long long )c);
    __CrestLoad(285, (unsigned long )0, (long long )36);
    __CrestApply2(284, 12, (long long )((int )c == 36));
#line 210
    if ((int )c == 36) {
      __CrestBranch(287, 111, 1);
      __CrestLoad(289, (unsigned long )0, (long long )1);
      __CrestStore(290, (unsigned long )(& tmp));
#line 210
      tmp = 1;
    } else {
      __CrestBranch(288, 112, 0);
      {
      __CrestLoad(293, (unsigned long )(& c), (long long )c);
      __CrestLoad(292, (unsigned long )0, (long long )42);
      __CrestApply2(291, 12, (long long )((int )c == 42));
#line 210
      if ((int )c == 42) {
        __CrestBranch(294, 113, 1);
        __CrestLoad(296, (unsigned long )0, (long long )1);
        __CrestStore(297, (unsigned long )(& tmp));
#line 210
        tmp = 1;
      } else {
        __CrestBranch(295, 114, 0);
        __CrestLoad(298, (unsigned long )0, (long long )0);
        __CrestStore(299, (unsigned long )(& tmp));
#line 210
        tmp = 0;
      }
      }
    }
    }
  }
  }
  __CrestLoad(300, (unsigned long )(& tmp), (long long )tmp);
  __CrestStore(301, (unsigned long )(& __retres3));
#line 210
  __retres3 = (bool )tmp;
  {
  __CrestLoad(302, (unsigned long )(& __retres3), (long long )__retres3);
  __CrestReturn(303);
#line 207
  return (__retres3);
  }
}
}
#line 213 "replace.c"
bool in_pat_set(char c ) 
{ 
  int tmp ;
  bool __retres3 ;

  {
  __CrestCall(305, 8);
  __CrestStore(304, (unsigned long )(& c));
  {
  __CrestLoad(308, (unsigned long )(& c), (long long )c);
  __CrestLoad(307, (unsigned long )0, (long long )99);
  __CrestApply2(306, 12, (long long )((int )c == 99));
#line 216
  if ((int )c == 99) {
    __CrestBranch(309, 118, 1);
    __CrestLoad(311, (unsigned long )0, (long long )1);
    __CrestStore(312, (unsigned long )(& tmp));
#line 216
    tmp = 1;
  } else {
    __CrestBranch(310, 119, 0);
    {
    __CrestLoad(315, (unsigned long )(& c), (long long )c);
    __CrestLoad(314, (unsigned long )0, (long long )37);
    __CrestApply2(313, 12, (long long )((int )c == 37));
#line 216
    if ((int )c == 37) {
      __CrestBranch(316, 120, 1);
      __CrestLoad(318, (unsigned long )0, (long long )1);
      __CrestStore(319, (unsigned long )(& tmp));
#line 216
      tmp = 1;
    } else {
      __CrestBranch(317, 121, 0);
      {
      __CrestLoad(322, (unsigned long )(& c), (long long )c);
      __CrestLoad(321, (unsigned long )0, (long long )36);
      __CrestApply2(320, 12, (long long )((int )c == 36));
#line 216
      if ((int )c == 36) {
        __CrestBranch(323, 122, 1);
        __CrestLoad(325, (unsigned long )0, (long long )1);
        __CrestStore(326, (unsigned long )(& tmp));
#line 216
        tmp = 1;
      } else {
        __CrestBranch(324, 123, 0);
        {
        __CrestLoad(329, (unsigned long )(& c), (long long )c);
        __CrestLoad(328, (unsigned long )0, (long long )63);
        __CrestApply2(327, 12, (long long )((int )c == 63));
#line 216
        if ((int )c == 63) {
          __CrestBranch(330, 124, 1);
          __CrestLoad(332, (unsigned long )0, (long long )1);
          __CrestStore(333, (unsigned long )(& tmp));
#line 216
          tmp = 1;
        } else {
          __CrestBranch(331, 125, 0);
          {
          __CrestLoad(336, (unsigned long )(& c), (long long )c);
          __CrestLoad(335, (unsigned long )0, (long long )91);
          __CrestApply2(334, 12, (long long )((int )c == 91));
#line 216
          if ((int )c == 91) {
            __CrestBranch(337, 126, 1);
            __CrestLoad(339, (unsigned long )0, (long long )1);
            __CrestStore(340, (unsigned long )(& tmp));
#line 216
            tmp = 1;
          } else {
            __CrestBranch(338, 127, 0);
            {
            __CrestLoad(343, (unsigned long )(& c), (long long )c);
            __CrestLoad(342, (unsigned long )0, (long long )33);
            __CrestApply2(341, 12, (long long )((int )c == 33));
#line 216
            if ((int )c == 33) {
              __CrestBranch(344, 128, 1);
              __CrestLoad(346, (unsigned long )0, (long long )1);
              __CrestStore(347, (unsigned long )(& tmp));
#line 216
              tmp = 1;
            } else {
              __CrestBranch(345, 129, 0);
              {
              __CrestLoad(350, (unsigned long )(& c), (long long )c);
              __CrestLoad(349, (unsigned long )0, (long long )42);
              __CrestApply2(348, 12, (long long )((int )c == 42));
#line 216
              if ((int )c == 42) {
                __CrestBranch(351, 130, 1);
                __CrestLoad(353, (unsigned long )0, (long long )1);
                __CrestStore(354, (unsigned long )(& tmp));
#line 216
                tmp = 1;
              } else {
                __CrestBranch(352, 131, 0);
                __CrestLoad(355, (unsigned long )0, (long long )0);
                __CrestStore(356, (unsigned long )(& tmp));
#line 216
                tmp = 0;
              }
              }
            }
            }
          }
          }
        }
        }
      }
      }
    }
    }
  }
  }
  __CrestLoad(357, (unsigned long )(& tmp), (long long )tmp);
  __CrestStore(358, (unsigned long )(& __retres3));
#line 216
  __retres3 = (bool )tmp;
  {
  __CrestLoad(359, (unsigned long )(& __retres3), (long long )__retres3);
  __CrestReturn(360);
#line 213
  return (__retres3);
  }
}
}
#line 220 "replace.c"
int makepat(char *arg , int start , char delim , char *pat ) 
{ 
  int result ;
  int i ;
  int j ;
  int lastj ;
  int lj ;
  bool done ;
  bool junk ;
  bool getres ;
  char escjunk ;
  int tmp ;
  int tmp___0 ;
  int tmp___1 ;
  bool tmp___2 ;
  int tmp___3 ;
  int tmp___4 ;
  int tmp___5 ;
  char *mem_21 ;
  char *mem_22 ;
  char *mem_23 ;
  char *mem_24 ;
  char *mem_25 ;
  char *mem_26 ;
  char *mem_27 ;
  char *mem_28 ;
  char *mem_29 ;
  char *mem_30 ;

  {
  __CrestCall(363, 9);
  __CrestStore(362, (unsigned long )(& delim));
  __CrestStore(361, (unsigned long )(& start));
  __CrestLoad(364, (unsigned long )0, (long long )0);
  __CrestStore(365, (unsigned long )(& j));
#line 233
  j = 0;
  __CrestLoad(366, (unsigned long )(& start), (long long )start);
  __CrestStore(367, (unsigned long )(& i));
#line 234
  i = start;
  __CrestLoad(368, (unsigned long )0, (long long )0);
  __CrestStore(369, (unsigned long )(& lastj));
#line 235
  lastj = 0;
  __CrestLoad(370, (unsigned long )0, (long long )((bool )0));
  __CrestStore(371, (unsigned long )(& done));
#line 236
  done = (bool )0;
  {
#line 237
  while (1) {
    while_continue: /* CIL Label */ ;
    {
    __CrestLoad(374, (unsigned long )(& done), (long long )done);
    __CrestLoad(373, (unsigned long )0, (long long )0);
    __CrestApply2(372, 12, (long long )(done == 0));
#line 237
    if (done == 0) {
      __CrestBranch(375, 139, 1);
      {
#line 237
      mem_21 = arg + i;
      {
      __CrestLoad(379, (unsigned long )mem_21, (long long )*mem_21);
      __CrestLoad(378, (unsigned long )(& delim), (long long )delim);
      __CrestApply2(377, 13, (long long )((int )*mem_21 != (int )delim));
#line 237
      if ((int )*mem_21 != (int )delim) {
        __CrestBranch(380, 142, 1);
        {
#line 237
        mem_22 = arg + i;
        {
        __CrestLoad(384, (unsigned long )mem_22, (long long )*mem_22);
        __CrestLoad(383, (unsigned long )0, (long long )0);
        __CrestApply2(382, 13, (long long )((int )*mem_22 != 0));
#line 237
        if ((int )*mem_22 != 0) {
          __CrestBranch(385, 145, 1);

        } else {
          __CrestBranch(386, 146, 0);
#line 237
          goto while_break;
        }
        }
        }
      } else {
        __CrestBranch(381, 147, 0);
#line 237
        goto while_break;
      }
      }
      }
    } else {
      __CrestBranch(376, 148, 0);
#line 237
      goto while_break;
    }
    }
    __CrestLoad(387, (unsigned long )(& j), (long long )j);
    __CrestStore(388, (unsigned long )(& lj));
#line 238
    lj = j;
    {
#line 239
    mem_23 = arg + i;
    {
    __CrestLoad(391, (unsigned long )mem_23, (long long )*mem_23);
    __CrestLoad(390, (unsigned long )0, (long long )63);
    __CrestApply2(389, 12, (long long )((int )*mem_23 == 63));
#line 239
    if ((int )*mem_23 == 63) {
      __CrestBranch(392, 153, 1);
      __CrestLoad(394, (unsigned long )0, (long long )((char )'?'));
      __CrestLoad(395, (unsigned long )0, (long long )100);
#line 240
      tmp = addstr((char )'?', pat, & j, 100);
      __CrestHandleReturn(397, (long long )tmp);
      __CrestStore(396, (unsigned long )(& tmp));
      __CrestLoad(398, (unsigned long )(& tmp), (long long )tmp);
      __CrestStore(399, (unsigned long )(& junk));
#line 240
      junk = (bool )tmp;
    } else {
      __CrestBranch(393, 154, 0);
      {
#line 241
      mem_24 = arg + i;
      {
      __CrestLoad(402, (unsigned long )mem_24, (long long )*mem_24);
      __CrestLoad(401, (unsigned long )0, (long long )37);
      __CrestApply2(400, 12, (long long )((int )*mem_24 == 37));
#line 241
      if ((int )*mem_24 == 37) {
        __CrestBranch(403, 157, 1);
        {
        __CrestLoad(407, (unsigned long )(& i), (long long )i);
        __CrestLoad(406, (unsigned long )(& start), (long long )start);
        __CrestApply2(405, 12, (long long )(i == start));
#line 241
        if (i == start) {
          __CrestBranch(408, 158, 1);
          __CrestLoad(410, (unsigned long )0, (long long )((char )'%'));
          __CrestLoad(411, (unsigned long )0, (long long )100);
#line 242
          tmp___0 = addstr((char )'%', pat, & j, 100);
          __CrestHandleReturn(413, (long long )tmp___0);
          __CrestStore(412, (unsigned long )(& tmp___0));
          __CrestLoad(414, (unsigned long )(& tmp___0), (long long )tmp___0);
          __CrestStore(415, (unsigned long )(& junk));
#line 242
          junk = (bool )tmp___0;
        } else {
          __CrestBranch(409, 159, 0);
#line 241
          goto _L___0;
        }
        }
      } else {
        __CrestBranch(404, 160, 0);
        _L___0: /* CIL Label */ 
        {
#line 243
        mem_25 = arg + i;
        {
        __CrestLoad(418, (unsigned long )mem_25, (long long )*mem_25);
        __CrestLoad(417, (unsigned long )0, (long long )36);
        __CrestApply2(416, 12, (long long )((int )*mem_25 == 36));
#line 243
        if ((int )*mem_25 == 36) {
          __CrestBranch(419, 163, 1);
          {
#line 243
          mem_26 = arg + (i + 1);
          {
          __CrestLoad(423, (unsigned long )mem_26, (long long )*mem_26);
          __CrestLoad(422, (unsigned long )(& delim), (long long )delim);
          __CrestApply2(421, 12, (long long )((int )*mem_26 == (int )delim));
#line 243
          if ((int )*mem_26 == (int )delim) {
            __CrestBranch(424, 166, 1);
            __CrestLoad(426, (unsigned long )0, (long long )((char )'$'));
            __CrestLoad(427, (unsigned long )0, (long long )100);
#line 244
            tmp___1 = addstr((char )'$', pat, & j, 100);
            __CrestHandleReturn(429, (long long )tmp___1);
            __CrestStore(428, (unsigned long )(& tmp___1));
            __CrestLoad(430, (unsigned long )(& tmp___1), (long long )tmp___1);
            __CrestStore(431, (unsigned long )(& junk));
#line 244
            junk = (bool )tmp___1;
          } else {
            __CrestBranch(425, 167, 0);
#line 243
            goto _L;
          }
          }
          }
        } else {
          __CrestBranch(420, 168, 0);
          _L: /* CIL Label */ 
          {
#line 245
          mem_27 = arg + i;
          {
          __CrestLoad(434, (unsigned long )mem_27, (long long )*mem_27);
          __CrestLoad(433, (unsigned long )0, (long long )91);
          __CrestApply2(432, 12, (long long )((int )*mem_27 == 91));
#line 245
          if ((int )*mem_27 == 91) {
            __CrestBranch(435, 171, 1);
#line 247
            getres = getccl(arg, & i, pat, & j);
            __CrestHandleReturn(438, (long long )getres);
            __CrestStore(437, (unsigned long )(& getres));
            __CrestLoad(441, (unsigned long )(& getres), (long long )getres);
            __CrestLoad(440, (unsigned long )0, (long long )0);
            __CrestApply2(439, 12, (long long )((int )getres == 0));
            __CrestStore(442, (unsigned long )(& done));
#line 248
            done = (bool )((int )getres == 0);
          } else {
            __CrestBranch(436, 172, 0);
            {
#line 250
            mem_28 = arg + i;
            {
            __CrestLoad(445, (unsigned long )mem_28, (long long )*mem_28);
            __CrestLoad(444, (unsigned long )0, (long long )42);
            __CrestApply2(443, 12, (long long )((int )*mem_28 == 42));
#line 250
            if ((int )*mem_28 == 42) {
              __CrestBranch(446, 175, 1);
              {
              __CrestLoad(450, (unsigned long )(& i), (long long )i);
              __CrestLoad(449, (unsigned long )(& start), (long long )start);
              __CrestApply2(448, 14, (long long )(i > start));
#line 250
              if (i > start) {
                __CrestBranch(451, 176, 1);
                __CrestLoad(453, (unsigned long )(& lastj), (long long )lastj);
                __CrestStore(454, (unsigned long )(& lj));
#line 252
                lj = lastj;
#line 253
                mem_29 = pat + lj;
                __CrestLoad(455, (unsigned long )mem_29, (long long )*mem_29);
#line 253
                tmp___2 = in_set_2(*mem_29);
                __CrestHandleReturn(457, (long long )tmp___2);
                __CrestStore(456, (unsigned long )(& tmp___2));
                {
                __CrestLoad(460, (unsigned long )(& tmp___2), (long long )tmp___2);
                __CrestLoad(459, (unsigned long )0, (long long )0);
                __CrestApply2(458, 13, (long long )(tmp___2 != 0));
#line 253
                if (tmp___2 != 0) {
                  __CrestBranch(461, 178, 1);
                  __CrestLoad(463, (unsigned long )0, (long long )((bool )1));
                  __CrestStore(464, (unsigned long )(& done));
#line 254
                  done = (bool )1;
                } else {
                  __CrestBranch(462, 179, 0);
                  __CrestLoad(465, (unsigned long )(& lastj), (long long )lastj);
#line 256
                  stclose(pat, & j, lastj);
                  __CrestClearStack(466);
                }
                }
              } else {
                __CrestBranch(452, 180, 0);
                __CrestLoad(467, (unsigned long )0, (long long )((char )'c'));
                __CrestLoad(468, (unsigned long )0, (long long )100);
#line 260
                tmp___3 = addstr((char )'c', pat, & j, 100);
                __CrestHandleReturn(470, (long long )tmp___3);
                __CrestStore(469, (unsigned long )(& tmp___3));
                __CrestLoad(471, (unsigned long )(& tmp___3), (long long )tmp___3);
                __CrestStore(472, (unsigned long )(& junk));
#line 260
                junk = (bool )tmp___3;
#line 261
                escjunk = esc(arg, & i);
                __CrestHandleReturn(474, (long long )escjunk);
                __CrestStore(473, (unsigned long )(& escjunk));
                __CrestLoad(475, (unsigned long )(& escjunk), (long long )escjunk);
                __CrestLoad(476, (unsigned long )0, (long long )100);
#line 262
                tmp___4 = addstr(escjunk, pat, & j, 100);
                __CrestHandleReturn(478, (long long )tmp___4);
                __CrestStore(477, (unsigned long )(& tmp___4));
                __CrestLoad(479, (unsigned long )(& tmp___4), (long long )tmp___4);
                __CrestStore(480, (unsigned long )(& junk));
#line 262
                junk = (bool )tmp___4;
              }
              }
            } else {
              __CrestBranch(447, 181, 0);
              __CrestLoad(481, (unsigned long )0, (long long )((char )'c'));
              __CrestLoad(482, (unsigned long )0, (long long )100);
#line 260
              tmp___3 = addstr((char )'c', pat, & j, 100);
              __CrestHandleReturn(484, (long long )tmp___3);
              __CrestStore(483, (unsigned long )(& tmp___3));
              __CrestLoad(485, (unsigned long )(& tmp___3), (long long )tmp___3);
              __CrestStore(486, (unsigned long )(& junk));
#line 260
              junk = (bool )tmp___3;
#line 261
              escjunk = esc(arg, & i);
              __CrestHandleReturn(488, (long long )escjunk);
              __CrestStore(487, (unsigned long )(& escjunk));
              __CrestLoad(489, (unsigned long )(& escjunk), (long long )escjunk);
              __CrestLoad(490, (unsigned long )0, (long long )100);
#line 262
              tmp___4 = addstr(escjunk, pat, & j, 100);
              __CrestHandleReturn(492, (long long )tmp___4);
              __CrestStore(491, (unsigned long )(& tmp___4));
              __CrestLoad(493, (unsigned long )(& tmp___4), (long long )tmp___4);
              __CrestStore(494, (unsigned long )(& junk));
#line 262
              junk = (bool )tmp___4;
            }
            }
            }
          }
          }
          }
        }
        }
        }
      }
      }
      }
    }
    }
    }
    __CrestLoad(495, (unsigned long )(& lj), (long long )lj);
    __CrestStore(496, (unsigned long )(& lastj));
#line 264
    lastj = lj;
    {
    __CrestLoad(499, (unsigned long )(& done), (long long )done);
    __CrestLoad(498, (unsigned long )0, (long long )0);
    __CrestApply2(497, 12, (long long )(done == 0));
#line 265
    if (done == 0) {
      __CrestBranch(500, 184, 1);
      __CrestLoad(504, (unsigned long )(& i), (long long )i);
      __CrestLoad(503, (unsigned long )0, (long long )1);
      __CrestApply2(502, 0, (long long )(i + 1));
      __CrestStore(505, (unsigned long )(& i));
#line 266
      i ++;
    } else {
      __CrestBranch(501, 185, 0);

    }
    }
  }
  while_break: /* CIL Label */ ;
  }
  __CrestLoad(506, (unsigned long )0, (long long )((char )'\000'));
  __CrestLoad(507, (unsigned long )0, (long long )100);
#line 268
  tmp___5 = addstr((char )'\000', pat, & j, 100);
  __CrestHandleReturn(509, (long long )tmp___5);
  __CrestStore(508, (unsigned long )(& tmp___5));
  __CrestLoad(510, (unsigned long )(& tmp___5), (long long )tmp___5);
  __CrestStore(511, (unsigned long )(& junk));
#line 268
  junk = (bool )tmp___5;
  {
  __CrestLoad(514, (unsigned long )(& done), (long long )done);
  __CrestLoad(513, (unsigned long )0, (long long )0);
  __CrestApply2(512, 13, (long long )(done != 0));
#line 269
  if (done != 0) {
    __CrestBranch(515, 189, 1);
    __CrestLoad(517, (unsigned long )0, (long long )0);
    __CrestStore(518, (unsigned long )(& result));
#line 270
    result = 0;
  } else {
    __CrestBranch(516, 190, 0);
    {
#line 269
    mem_30 = arg + i;
    {
    __CrestLoad(521, (unsigned long )mem_30, (long long )*mem_30);
    __CrestLoad(520, (unsigned long )(& delim), (long long )delim);
    __CrestApply2(519, 13, (long long )((int )*mem_30 != (int )delim));
#line 269
    if ((int )*mem_30 != (int )delim) {
      __CrestBranch(522, 193, 1);
      __CrestLoad(524, (unsigned long )0, (long long )0);
      __CrestStore(525, (unsigned long )(& result));
#line 270
      result = 0;
    } else {
      __CrestBranch(523, 194, 0);
      {
      __CrestLoad(528, (unsigned long )(& junk), (long long )junk);
      __CrestLoad(527, (unsigned long )0, (long long )0);
      __CrestApply2(526, 12, (long long )(junk == 0));
#line 272
      if (junk == 0) {
        __CrestBranch(529, 195, 1);
        __CrestLoad(531, (unsigned long )0, (long long )0);
        __CrestStore(532, (unsigned long )(& result));
#line 273
        result = 0;
      } else {
        __CrestBranch(530, 196, 0);
        __CrestLoad(533, (unsigned long )(& i), (long long )i);
        __CrestStore(534, (unsigned long )(& result));
#line 275
        result = i;
      }
      }
    }
    }
    }
  }
  }
  {
  __CrestLoad(535, (unsigned long )(& result), (long long )result);
  __CrestReturn(536);
#line 276
  return (result);
  }
}
}
#line 279 "replace.c"
int getpat(char *arg , char *pat ) 
{ 
  int makeres ;
  int __retres4 ;

  {
  __CrestCall(537, 10);

  __CrestLoad(538, (unsigned long )0, (long long )0);
  __CrestLoad(539, (unsigned long )0, (long long )((char )'\000'));
#line 286
  makeres = makepat(arg, 0, (char )'\000', pat);
  __CrestHandleReturn(541, (long long )makeres);
  __CrestStore(540, (unsigned long )(& makeres));
  __CrestLoad(544, (unsigned long )(& makeres), (long long )makeres);
  __CrestLoad(543, (unsigned long )0, (long long )0);
  __CrestApply2(542, 14, (long long )(makeres > 0));
  __CrestStore(545, (unsigned long )(& __retres4));
#line 287
  __retres4 = makeres > 0;
  {
  __CrestLoad(546, (unsigned long )(& __retres4), (long long )__retres4);
  __CrestReturn(547);
#line 279
  return (__retres4);
  }
}
}
#line 290 "replace.c"
int makesub(char *arg , int from , character delim , char *sub ) 
{ 
  int result ;
  int i ;
  int j ;
  bool junk ;
  character escjunk ;
  int tmp ;
  int tmp___0 ;
  int tmp___1 ;
  char *mem_13 ;
  char *mem_14 ;
  char *mem_15 ;
  char *mem_16 ;

  {
  __CrestCall(550, 11);
  __CrestStore(549, (unsigned long )(& delim));
  __CrestStore(548, (unsigned long )(& from));
  __CrestLoad(551, (unsigned long )0, (long long )0);
  __CrestStore(552, (unsigned long )(& j));
#line 302
  j = 0;
  __CrestLoad(553, (unsigned long )(& from), (long long )from);
  __CrestStore(554, (unsigned long )(& i));
#line 303
  i = from;
  {
#line 304
  while (1) {
    while_continue: /* CIL Label */ ;
    {
#line 304
    mem_13 = arg + i;
    {
    __CrestLoad(557, (unsigned long )mem_13, (long long )*mem_13);
    __CrestLoad(556, (unsigned long )(& delim), (long long )delim);
    __CrestApply2(555, 13, (long long )((int )*mem_13 != (int )delim));
#line 304
    if ((int )*mem_13 != (int )delim) {
      __CrestBranch(558, 208, 1);
      {
#line 304
      mem_14 = arg + i;
      {
      __CrestLoad(562, (unsigned long )mem_14, (long long )*mem_14);
      __CrestLoad(561, (unsigned long )0, (long long )0);
      __CrestApply2(560, 13, (long long )((int )*mem_14 != 0));
#line 304
      if ((int )*mem_14 != 0) {
        __CrestBranch(563, 211, 1);

      } else {
        __CrestBranch(564, 212, 0);
#line 304
        goto while_break;
      }
      }
      }
    } else {
      __CrestBranch(559, 213, 0);
#line 304
      goto while_break;
    }
    }
    }
    {
#line 305
    mem_15 = arg + i;
    {
    __CrestLoad(567, (unsigned long )mem_15, (long long )*mem_15);
    __CrestLoad(566, (unsigned long )0, (long long )38U);
    __CrestApply2(565, 12, (long long )((unsigned int )*mem_15 == 38U));
#line 305
    if ((unsigned int )*mem_15 == 38U) {
      __CrestBranch(568, 217, 1);
      __CrestLoad(570, (unsigned long )0, (long long )(char)-1);
      __CrestLoad(571, (unsigned long )0, (long long )100);
#line 306
      tmp = addstr((char)-1, sub, & j, 100);
      __CrestHandleReturn(573, (long long )tmp);
      __CrestStore(572, (unsigned long )(& tmp));
      __CrestLoad(574, (unsigned long )(& tmp), (long long )tmp);
      __CrestStore(575, (unsigned long )(& junk));
#line 306
      junk = (bool )tmp;
    } else {
      __CrestBranch(569, 218, 0);
#line 308
      escjunk = esc(arg, & i);
      __CrestHandleReturn(577, (long long )escjunk);
      __CrestStore(576, (unsigned long )(& escjunk));
      __CrestLoad(578, (unsigned long )(& escjunk), (long long )escjunk);
      __CrestLoad(579, (unsigned long )0, (long long )100);
#line 309
      tmp___0 = addstr(escjunk, sub, & j, 100);
      __CrestHandleReturn(581, (long long )tmp___0);
      __CrestStore(580, (unsigned long )(& tmp___0));
      __CrestLoad(582, (unsigned long )(& tmp___0), (long long )tmp___0);
      __CrestStore(583, (unsigned long )(& junk));
#line 309
      junk = (bool )tmp___0;
    }
    }
    }
    __CrestLoad(586, (unsigned long )(& i), (long long )i);
    __CrestLoad(585, (unsigned long )0, (long long )1);
    __CrestApply2(584, 0, (long long )(i + 1));
    __CrestStore(587, (unsigned long )(& i));
#line 311
    i ++;
  }
  while_break: /* CIL Label */ ;
  }
  {
#line 313
  mem_16 = arg + i;
  {
  __CrestLoad(590, (unsigned long )mem_16, (long long )*mem_16);
  __CrestLoad(589, (unsigned long )(& delim), (long long )delim);
  __CrestApply2(588, 13, (long long )((int )*mem_16 != (int )delim));
#line 313
  if ((int )*mem_16 != (int )delim) {
    __CrestBranch(591, 224, 1);
    __CrestLoad(593, (unsigned long )0, (long long )0);
    __CrestStore(594, (unsigned long )(& result));
#line 314
    result = 0;
  } else {
    __CrestBranch(592, 225, 0);
    __CrestLoad(595, (unsigned long )0, (long long )((char )'\000'));
    __CrestLoad(596, (unsigned long )0, (long long )100);
#line 316
    tmp___1 = addstr((char )'\000', sub, & j, 100);
    __CrestHandleReturn(598, (long long )tmp___1);
    __CrestStore(597, (unsigned long )(& tmp___1));
    __CrestLoad(599, (unsigned long )(& tmp___1), (long long )tmp___1);
    __CrestStore(600, (unsigned long )(& junk));
#line 316
    junk = (bool )tmp___1;
    {
    __CrestLoad(603, (unsigned long )(& junk), (long long )junk);
    __CrestLoad(602, (unsigned long )0, (long long )0);
    __CrestApply2(601, 12, (long long )(junk == 0));
#line 317
    if (junk == 0) {
      __CrestBranch(604, 227, 1);
      __CrestLoad(606, (unsigned long )0, (long long )0);
      __CrestStore(607, (unsigned long )(& result));
#line 318
      result = 0;
    } else {
      __CrestBranch(605, 228, 0);
      __CrestLoad(608, (unsigned long )(& i), (long long )i);
      __CrestStore(609, (unsigned long )(& result));
#line 320
      result = i;
    }
    }
  }
  }
  }
  {
  __CrestLoad(610, (unsigned long )(& result), (long long )result);
  __CrestReturn(611);
#line 322
  return (result);
  }
}
}
#line 325 "replace.c"
bool getsub(char *arg , char *sub ) 
{ 
  int makeres ;
  bool __retres4 ;

  {
  __CrestCall(612, 12);

  __CrestLoad(613, (unsigned long )0, (long long )0);
  __CrestLoad(614, (unsigned long )0, (long long )((character )'\000'));
#line 332
  makeres = makesub(arg, 0, (character )'\000', sub);
  __CrestHandleReturn(616, (long long )makeres);
  __CrestStore(615, (unsigned long )(& makeres));
  __CrestLoad(619, (unsigned long )(& makeres), (long long )makeres);
  __CrestLoad(618, (unsigned long )0, (long long )0);
  __CrestApply2(617, 14, (long long )(makeres > 0));
  __CrestStore(620, (unsigned long )(& __retres4));
#line 333
  __retres4 = (bool )(makeres > 0);
  {
  __CrestLoad(621, (unsigned long )(& __retres4), (long long )__retres4);
  __CrestReturn(622);
#line 325
  return (__retres4);
  }
}
}
#line 336
void subline(char *lin , char *pat , char *sub ) ;
#line 338 "replace.c"
bool locate(character c , char *pat , int offset ) 
{ 
  int i ;
  bool flag ;
  char *mem_6 ;
  char *mem_7 ;

  {
  __CrestCall(625, 13);
  __CrestStore(624, (unsigned long )(& offset));
  __CrestStore(623, (unsigned long )(& c));
  __CrestLoad(626, (unsigned long )0, (long long )((bool )0));
  __CrestStore(627, (unsigned long )(& flag));
#line 347
  flag = (bool )0;
#line 348
  mem_6 = pat + offset;
  __CrestLoad(630, (unsigned long )(& offset), (long long )offset);
  __CrestLoad(629, (unsigned long )mem_6, (long long )*mem_6);
  __CrestApply2(628, 0, (long long )(offset + (int )*mem_6));
  __CrestStore(631, (unsigned long )(& i));
#line 348
  i = offset + (int )*mem_6;
  {
#line 349
  while (1) {
    while_continue: /* CIL Label */ ;
    {
    __CrestLoad(634, (unsigned long )(& i), (long long )i);
    __CrestLoad(633, (unsigned long )(& offset), (long long )offset);
    __CrestApply2(632, 14, (long long )(i > offset));
#line 349
    if (i > offset) {
      __CrestBranch(635, 238, 1);

    } else {
      __CrestBranch(636, 239, 0);
#line 349
      goto while_break;
    }
    }
    {
#line 351
    mem_7 = pat + i;
    {
    __CrestLoad(639, (unsigned long )(& c), (long long )c);
    __CrestLoad(638, (unsigned long )mem_7, (long long )*mem_7);
    __CrestApply2(637, 12, (long long )((int )c == (int )*mem_7));
#line 351
    if ((int )c == (int )*mem_7) {
      __CrestBranch(640, 243, 1);
      __CrestLoad(642, (unsigned long )0, (long long )((bool )1));
      __CrestStore(643, (unsigned long )(& flag));
#line 352
      flag = (bool )1;
      __CrestLoad(644, (unsigned long )(& offset), (long long )offset);
      __CrestStore(645, (unsigned long )(& i));
#line 353
      i = offset;
    } else {
      __CrestBranch(641, 244, 0);
      __CrestLoad(648, (unsigned long )(& i), (long long )i);
      __CrestLoad(647, (unsigned long )0, (long long )1);
      __CrestApply2(646, 1, (long long )(i - 1));
      __CrestStore(649, (unsigned long )(& i));
#line 355
      i --;
    }
    }
    }
  }
  while_break: /* CIL Label */ ;
  }
  {
  __CrestLoad(650, (unsigned long )(& flag), (long long )flag);
  __CrestReturn(651);
#line 357
  return (flag);
  }
}
}
#line 360 "replace.c"
bool omatch(char *lin , int *i , char *pat , int j ) 
{ 
  char advance ;
  bool result ;
  bool tmp ;
  bool tmp___0 ;
  bool tmp___1 ;
  char *mem_10 ;
  char *mem_11 ;
  char *mem_12 ;
  char *mem_13 ;
  char *mem_14 ;
  char *mem_15 ;
  char *mem_16 ;
  char *mem_17 ;
  char *mem_18 ;
  char *mem_19 ;
  char *mem_20 ;

  {
  __CrestCall(653, 14);
  __CrestStore(652, (unsigned long )(& j));
  __CrestLoad(654, (unsigned long )0, (long long )(char)-1);
  __CrestStore(655, (unsigned long )(& advance));
#line 370
  advance = (char)-1;
  {
#line 371
  mem_10 = lin + *i;
  {
  __CrestLoad(658, (unsigned long )mem_10, (long long )*mem_10);
  __CrestLoad(657, (unsigned long )0, (long long )0);
  __CrestApply2(656, 12, (long long )((int )*mem_10 == 0));
#line 371
  if ((int )*mem_10 == 0) {
    __CrestBranch(659, 251, 1);
    __CrestLoad(661, (unsigned long )0, (long long )((bool )0));
    __CrestStore(662, (unsigned long )(& result));
#line 372
    result = (bool )0;
  } else {
    __CrestBranch(660, 252, 0);
#line 375
    mem_11 = pat + j;
    __CrestLoad(663, (unsigned long )mem_11, (long long )*mem_11);
#line 375
    tmp___1 = in_pat_set(*mem_11);
    __CrestHandleReturn(665, (long long )tmp___1);
    __CrestStore(664, (unsigned long )(& tmp___1));
    {
    __CrestLoad(668, (unsigned long )(& tmp___1), (long long )tmp___1);
    __CrestLoad(667, (unsigned long )0, (long long )0);
    __CrestApply2(666, 13, (long long )(tmp___1 != 0));
#line 375
    if (tmp___1 != 0) {
      __CrestBranch(669, 254, 1);
      {
#line 381
      mem_12 = pat + j;
      {
      {
      __CrestLoad(673, (unsigned long )mem_12, (long long )*mem_12);
      __CrestLoad(672, (unsigned long )0, (long long )99);
      __CrestApply2(671, 12, (long long )((int )*mem_12 == 99));
#line 383
      if ((int )*mem_12 == 99) {
        __CrestBranch(674, 258, 1);
#line 383
        goto case_99;
      } else {
        __CrestBranch(675, 259, 0);

      }
      }
      {
      __CrestLoad(678, (unsigned long )mem_12, (long long )*mem_12);
      __CrestLoad(677, (unsigned long )0, (long long )37);
      __CrestApply2(676, 12, (long long )((int )*mem_12 == 37));
#line 387
      if ((int )*mem_12 == 37) {
        __CrestBranch(679, 261, 1);
#line 387
        goto case_37;
      } else {
        __CrestBranch(680, 262, 0);

      }
      }
      {
      __CrestLoad(683, (unsigned long )mem_12, (long long )*mem_12);
      __CrestLoad(682, (unsigned long )0, (long long )63);
      __CrestApply2(681, 12, (long long )((int )*mem_12 == 63));
#line 391
      if ((int )*mem_12 == 63) {
        __CrestBranch(684, 264, 1);
#line 391
        goto case_63;
      } else {
        __CrestBranch(685, 265, 0);

      }
      }
      {
      __CrestLoad(688, (unsigned long )mem_12, (long long )*mem_12);
      __CrestLoad(687, (unsigned long )0, (long long )36);
      __CrestApply2(686, 12, (long long )((int )*mem_12 == 36));
#line 395
      if ((int )*mem_12 == 36) {
        __CrestBranch(689, 267, 1);
#line 395
        goto case_36;
      } else {
        __CrestBranch(690, 268, 0);

      }
      }
      {
      __CrestLoad(693, (unsigned long )mem_12, (long long )*mem_12);
      __CrestLoad(692, (unsigned long )0, (long long )91);
      __CrestApply2(691, 12, (long long )((int )*mem_12 == 91));
#line 399
      if ((int )*mem_12 == 91) {
        __CrestBranch(694, 270, 1);
#line 399
        goto case_91;
      } else {
        __CrestBranch(695, 271, 0);

      }
      }
      {
      __CrestLoad(698, (unsigned long )mem_12, (long long )*mem_12);
      __CrestLoad(697, (unsigned long )0, (long long )33);
      __CrestApply2(696, 12, (long long )((int )*mem_12 == 33));
#line 403
      if ((int )*mem_12 == 33) {
        __CrestBranch(699, 273, 1);
#line 403
        goto case_33;
      } else {
        __CrestBranch(700, 274, 0);

      }
      }
#line 407
      goto switch_default;
      case_99: /* CIL Label */ 
      {
#line 384
      mem_13 = lin + *i;
#line 384
      mem_14 = pat + (j + 1);
      {
      __CrestLoad(703, (unsigned long )mem_13, (long long )*mem_13);
      __CrestLoad(702, (unsigned long )mem_14, (long long )*mem_14);
      __CrestApply2(701, 12, (long long )((int )*mem_13 == (int )*mem_14));
#line 384
      if ((int )*mem_13 == (int )*mem_14) {
        __CrestBranch(704, 279, 1);
        __CrestLoad(706, (unsigned long )0, (long long )(char)1);
        __CrestStore(707, (unsigned long )(& advance));
#line 385
        advance = (char)1;
      } else {
        __CrestBranch(705, 280, 0);

      }
      }
      }
#line 386
      goto switch_break;
      case_37: /* CIL Label */ 
      {
      __CrestLoad(710, (unsigned long )i, (long long )*i);
      __CrestLoad(709, (unsigned long )0, (long long )0);
      __CrestApply2(708, 12, (long long )(*i == 0));
#line 388
      if (*i == 0) {
        __CrestBranch(711, 283, 1);
        __CrestLoad(713, (unsigned long )0, (long long )(char)0);
        __CrestStore(714, (unsigned long )(& advance));
#line 389
        advance = (char)0;
      } else {
        __CrestBranch(712, 284, 0);

      }
      }
#line 390
      goto switch_break;
      case_63: /* CIL Label */ 
      {
#line 392
      mem_15 = lin + *i;
      {
      __CrestLoad(717, (unsigned long )mem_15, (long long )*mem_15);
      __CrestLoad(716, (unsigned long )0, (long long )10);
      __CrestApply2(715, 13, (long long )((int )*mem_15 != 10));
#line 392
      if ((int )*mem_15 != 10) {
        __CrestBranch(718, 289, 1);
        __CrestLoad(720, (unsigned long )0, (long long )(char)1);
        __CrestStore(721, (unsigned long )(& advance));
#line 393
        advance = (char)1;
      } else {
        __CrestBranch(719, 290, 0);

      }
      }
      }
#line 394
      goto switch_break;
      case_36: /* CIL Label */ 
      {
#line 396
      mem_16 = lin + *i;
      {
      __CrestLoad(724, (unsigned long )mem_16, (long long )*mem_16);
      __CrestLoad(723, (unsigned long )0, (long long )10);
      __CrestApply2(722, 12, (long long )((int )*mem_16 == 10));
#line 396
      if ((int )*mem_16 == 10) {
        __CrestBranch(725, 295, 1);
        __CrestLoad(727, (unsigned long )0, (long long )(char)0);
        __CrestStore(728, (unsigned long )(& advance));
#line 397
        advance = (char)0;
      } else {
        __CrestBranch(726, 296, 0);

      }
      }
      }
#line 398
      goto switch_break;
      case_91: /* CIL Label */ 
#line 400
      mem_17 = lin + *i;
      __CrestLoad(729, (unsigned long )mem_17, (long long )*mem_17);
      __CrestLoad(732, (unsigned long )(& j), (long long )j);
      __CrestLoad(731, (unsigned long )0, (long long )1);
      __CrestApply2(730, 0, (long long )(j + 1));
#line 400
      tmp = locate(*mem_17, pat, j + 1);
      __CrestHandleReturn(734, (long long )tmp);
      __CrestStore(733, (unsigned long )(& tmp));
      {
      __CrestLoad(737, (unsigned long )(& tmp), (long long )tmp);
      __CrestLoad(736, (unsigned long )0, (long long )0);
      __CrestApply2(735, 13, (long long )(tmp != 0));
#line 400
      if (tmp != 0) {
        __CrestBranch(738, 300, 1);
        __CrestLoad(740, (unsigned long )0, (long long )(char)1);
        __CrestStore(741, (unsigned long )(& advance));
#line 401
        advance = (char)1;
      } else {
        __CrestBranch(739, 301, 0);

      }
      }
#line 402
      goto switch_break;
      case_33: /* CIL Label */ 
      {
#line 404
      mem_18 = lin + *i;
      {
      __CrestLoad(744, (unsigned long )mem_18, (long long )*mem_18);
      __CrestLoad(743, (unsigned long )0, (long long )10);
      __CrestApply2(742, 13, (long long )((int )*mem_18 != 10));
#line 404
      if ((int )*mem_18 != 10) {
        __CrestBranch(745, 306, 1);
#line 404
        mem_19 = lin + *i;
        __CrestLoad(747, (unsigned long )mem_19, (long long )*mem_19);
        __CrestLoad(750, (unsigned long )(& j), (long long )j);
        __CrestLoad(749, (unsigned long )0, (long long )1);
        __CrestApply2(748, 0, (long long )(j + 1));
#line 404
        tmp___0 = locate(*mem_19, pat, j + 1);
        __CrestHandleReturn(752, (long long )tmp___0);
        __CrestStore(751, (unsigned long )(& tmp___0));
        {
        __CrestLoad(755, (unsigned long )(& tmp___0), (long long )tmp___0);
        __CrestLoad(754, (unsigned long )0, (long long )0);
        __CrestApply2(753, 13, (long long )(tmp___0 != 0));
#line 404
        if (tmp___0 != 0) {
          __CrestBranch(756, 308, 1);

        } else {
          __CrestBranch(757, 309, 0);
          __CrestLoad(758, (unsigned long )0, (long long )(char)1);
          __CrestStore(759, (unsigned long )(& advance));
#line 405
          advance = (char)1;
        }
        }
      } else {
        __CrestBranch(746, 310, 0);

      }
      }
      }
#line 406
      goto switch_break;
      switch_default: /* CIL Label */ 
#line 408
      mem_20 = pat + j;
      __CrestLoad(760, (unsigned long )mem_20, (long long )*mem_20);
#line 408
      Caseerror((int )*mem_20);
      __CrestClearStack(761);
      switch_break: /* CIL Label */ ;
      }
      }
    } else {
      __CrestBranch(670, 314, 0);
#line 377
      fprintf((FILE * __restrict  )stdout, (char const   * __restrict  )"in omatch: can\'t happen\n");
      __CrestClearStack(762);
#line 378
      abort();
      __CrestClearStack(763);
    }
    }
  }
  }
  }
  {
  __CrestLoad(766, (unsigned long )(& advance), (long long )advance);
  __CrestLoad(765, (unsigned long )0, (long long )0);
  __CrestApply2(764, 17, (long long )((int )advance >= 0));
#line 412
  if ((int )advance >= 0) {
    __CrestBranch(767, 316, 1);
    __CrestLoad(771, (unsigned long )i, (long long )*i);
    __CrestLoad(770, (unsigned long )(& advance), (long long )advance);
    __CrestApply2(769, 0, (long long )(*i + (int )advance));
    __CrestStore(772, (unsigned long )i);
#line 414
    *i += (int )advance;
    __CrestLoad(773, (unsigned long )0, (long long )((bool )1));
    __CrestStore(774, (unsigned long )(& result));
#line 415
    result = (bool )1;
  } else {
    __CrestBranch(768, 317, 0);
    __CrestLoad(775, (unsigned long )0, (long long )((bool )0));
    __CrestStore(776, (unsigned long )(& result));
#line 417
    result = (bool )0;
  }
  }
  {
  __CrestLoad(777, (unsigned long )(& result), (long long )result);
  __CrestReturn(778);
#line 418
  return (result);
  }
}
}
#line 421 "replace.c"
int patsize(char *pat , int n ) 
{ 
  int size ;
  bool tmp ;
  char *mem_5 ;
  char *mem_6 ;
  char *mem_7 ;
  char *mem_8 ;

  {
  __CrestCall(780, 15);
  __CrestStore(779, (unsigned long )(& n));
#line 427
  mem_5 = pat + n;
  __CrestLoad(781, (unsigned long )mem_5, (long long )*mem_5);
#line 427
  tmp = in_pat_set(*mem_5);
  __CrestHandleReturn(783, (long long )tmp);
  __CrestStore(782, (unsigned long )(& tmp));
  {
  __CrestLoad(786, (unsigned long )(& tmp), (long long )tmp);
  __CrestLoad(785, (unsigned long )0, (long long )0);
  __CrestApply2(784, 13, (long long )(tmp != 0));
#line 427
  if (tmp != 0) {
    __CrestBranch(787, 321, 1);
    {
#line 431
    mem_6 = pat + n;
    {
    {
    __CrestLoad(791, (unsigned long )mem_6, (long long )*mem_6);
    __CrestLoad(790, (unsigned long )0, (long long )99);
    __CrestApply2(789, 12, (long long )((int )*mem_6 == 99));
#line 433
    if ((int )*mem_6 == 99) {
      __CrestBranch(792, 325, 1);
#line 433
      goto case_99;
    } else {
      __CrestBranch(793, 326, 0);

    }
    }
    {
    __CrestLoad(796, (unsigned long )mem_6, (long long )*mem_6);
    __CrestLoad(795, (unsigned long )0, (long long )63);
    __CrestApply2(794, 12, (long long )((int )*mem_6 == 63));
#line 435
    if ((int )*mem_6 == 63) {
      __CrestBranch(797, 328, 1);
#line 435
      goto case_63;
    } else {
      __CrestBranch(798, 329, 0);

    }
    }
    {
    __CrestLoad(801, (unsigned long )mem_6, (long long )*mem_6);
    __CrestLoad(800, (unsigned long )0, (long long )36);
    __CrestApply2(799, 12, (long long )((int )*mem_6 == 36));
#line 435
    if ((int )*mem_6 == 36) {
      __CrestBranch(802, 331, 1);
#line 435
      goto case_63;
    } else {
      __CrestBranch(803, 332, 0);

    }
    }
    {
    __CrestLoad(806, (unsigned long )mem_6, (long long )*mem_6);
    __CrestLoad(805, (unsigned long )0, (long long )37);
    __CrestApply2(804, 12, (long long )((int )*mem_6 == 37));
#line 435
    if ((int )*mem_6 == 37) {
      __CrestBranch(807, 334, 1);
#line 435
      goto case_63;
    } else {
      __CrestBranch(808, 335, 0);

    }
    }
    {
    __CrestLoad(811, (unsigned long )mem_6, (long long )*mem_6);
    __CrestLoad(810, (unsigned long )0, (long long )33);
    __CrestApply2(809, 12, (long long )((int )*mem_6 == 33));
#line 438
    if ((int )*mem_6 == 33) {
      __CrestBranch(812, 337, 1);
#line 438
      goto case_33;
    } else {
      __CrestBranch(813, 338, 0);

    }
    }
    {
    __CrestLoad(816, (unsigned long )mem_6, (long long )*mem_6);
    __CrestLoad(815, (unsigned long )0, (long long )91);
    __CrestApply2(814, 12, (long long )((int )*mem_6 == 91));
#line 438
    if ((int )*mem_6 == 91) {
      __CrestBranch(817, 340, 1);
#line 438
      goto case_33;
    } else {
      __CrestBranch(818, 341, 0);

    }
    }
    {
    __CrestLoad(821, (unsigned long )mem_6, (long long )*mem_6);
    __CrestLoad(820, (unsigned long )0, (long long )42);
    __CrestApply2(819, 12, (long long )((int )*mem_6 == 42));
#line 441
    if ((int )*mem_6 == 42) {
      __CrestBranch(822, 343, 1);
#line 441
      goto case_42;
    } else {
      __CrestBranch(823, 344, 0);

    }
    }
#line 444
    goto switch_default;
    case_99: /* CIL Label */ 
    __CrestLoad(824, (unsigned long )0, (long long )2);
    __CrestStore(825, (unsigned long )(& size));
#line 433
    size = 2;
#line 433
    goto switch_break;
    case_63: /* CIL Label */ 
    case_36: /* CIL Label */ 
    case_37: /* CIL Label */ 
    __CrestLoad(826, (unsigned long )0, (long long )1);
    __CrestStore(827, (unsigned long )(& size));
#line 436
    size = 1;
#line 437
    goto switch_break;
    case_33: /* CIL Label */ 
    case_91: /* CIL Label */ 
#line 439
    mem_7 = pat + (n + 1);
    __CrestLoad(830, (unsigned long )mem_7, (long long )*mem_7);
    __CrestLoad(829, (unsigned long )0, (long long )2);
    __CrestApply2(828, 0, (long long )((int )*mem_7 + 2));
    __CrestStore(831, (unsigned long )(& size));
#line 439
    size = (int )*mem_7 + 2;
#line 440
    goto switch_break;
    case_42: /* CIL Label */ 
    __CrestLoad(832, (unsigned long )0, (long long )1);
    __CrestStore(833, (unsigned long )(& size));
#line 442
    size = 1;
#line 443
    goto switch_break;
    switch_default: /* CIL Label */ 
#line 445
    mem_8 = pat + n;
    __CrestLoad(834, (unsigned long )mem_8, (long long )*mem_8);
#line 445
    Caseerror((int )*mem_8);
    __CrestClearStack(835);
    switch_break: /* CIL Label */ ;
    }
    }
  } else {
    __CrestBranch(788, 356, 0);
#line 428
    fprintf((FILE * __restrict  )stdout, (char const   * __restrict  )"in patsize: can\'t happen\n");
    __CrestClearStack(836);
#line 429
    abort();
    __CrestClearStack(837);
  }
  }
  {
  __CrestLoad(838, (unsigned long )(& size), (long long )size);
  __CrestReturn(839);
#line 447
  return (size);
  }
}
}
#line 450 "replace.c"
int amatch(char *lin , int offset , char *pat , int j ) 
{ 
  int i ;
  int k ;
  bool result ;
  bool done ;
  int tmp ;
  int tmp___0 ;
  int tmp___1 ;
  char *mem_12 ;
  char *mem_13 ;
  char *mem_14 ;

  {
  __CrestCall(842, 16);
  __CrestStore(841, (unsigned long )(& j));
  __CrestStore(840, (unsigned long )(& offset));
  __CrestLoad(843, (unsigned long )0, (long long )((bool )0));
  __CrestStore(844, (unsigned long )(& done));
#line 460
  done = (bool )0;
  {
#line 461
  while (1) {
    while_continue: /* CIL Label */ ;
    {
    __CrestLoad(847, (unsigned long )(& done), (long long )done);
    __CrestLoad(846, (unsigned long )0, (long long )0);
    __CrestApply2(845, 12, (long long )(done == 0));
#line 461
    if (done == 0) {
      __CrestBranch(848, 363, 1);
      {
#line 461
      mem_12 = pat + j;
      {
      __CrestLoad(852, (unsigned long )mem_12, (long long )*mem_12);
      __CrestLoad(851, (unsigned long )0, (long long )0);
      __CrestApply2(850, 13, (long long )((int )*mem_12 != 0));
#line 461
      if ((int )*mem_12 != 0) {
        __CrestBranch(853, 366, 1);

      } else {
        __CrestBranch(854, 367, 0);
#line 461
        goto while_break;
      }
      }
      }
    } else {
      __CrestBranch(849, 368, 0);
#line 461
      goto while_break;
    }
    }
    {
#line 462
    mem_13 = pat + j;
    {
    __CrestLoad(857, (unsigned long )mem_13, (long long )*mem_13);
    __CrestLoad(856, (unsigned long )0, (long long )42);
    __CrestApply2(855, 12, (long long )((int )*mem_13 == 42));
#line 462
    if ((int )*mem_13 == 42) {
      __CrestBranch(858, 372, 1);
      __CrestLoad(860, (unsigned long )(& j), (long long )j);
#line 463
      tmp = patsize(pat, j);
      __CrestHandleReturn(862, (long long )tmp);
      __CrestStore(861, (unsigned long )(& tmp));
      __CrestLoad(865, (unsigned long )(& j), (long long )j);
      __CrestLoad(864, (unsigned long )(& tmp), (long long )tmp);
      __CrestApply2(863, 0, (long long )(j + tmp));
      __CrestStore(866, (unsigned long )(& j));
#line 463
      j += tmp;
      __CrestLoad(867, (unsigned long )(& offset), (long long )offset);
      __CrestStore(868, (unsigned long )(& i));
#line 464
      i = offset;
      {
#line 465
      while (1) {
        while_continue___0: /* CIL Label */ ;
        {
        __CrestLoad(871, (unsigned long )(& done), (long long )done);
        __CrestLoad(870, (unsigned long )0, (long long )0);
        __CrestApply2(869, 12, (long long )(done == 0));
#line 465
        if (done == 0) {
          __CrestBranch(872, 377, 1);
          {
#line 465
          mem_14 = lin + i;
          {
          __CrestLoad(876, (unsigned long )mem_14, (long long )*mem_14);
          __CrestLoad(875, (unsigned long )0, (long long )0);
          __CrestApply2(874, 13, (long long )((int )*mem_14 != 0));
#line 465
          if ((int )*mem_14 != 0) {
            __CrestBranch(877, 380, 1);

          } else {
            __CrestBranch(878, 381, 0);
#line 465
            goto while_break___0;
          }
          }
          }
        } else {
          __CrestBranch(873, 382, 0);
#line 465
          goto while_break___0;
        }
        }
        __CrestLoad(879, (unsigned long )(& j), (long long )j);
#line 466
        result = omatch(lin, & i, pat, j);
        __CrestHandleReturn(881, (long long )result);
        __CrestStore(880, (unsigned long )(& result));
        {
        __CrestLoad(884, (unsigned long )(& result), (long long )result);
        __CrestLoad(883, (unsigned long )0, (long long )0);
        __CrestApply2(882, 12, (long long )(result == 0));
#line 467
        if (result == 0) {
          __CrestBranch(885, 385, 1);
          __CrestLoad(887, (unsigned long )0, (long long )((bool )1));
          __CrestStore(888, (unsigned long )(& done));
#line 468
          done = (bool )1;
        } else {
          __CrestBranch(886, 386, 0);

        }
        }
      }
      while_break___0: /* CIL Label */ ;
      }
      __CrestLoad(889, (unsigned long )0, (long long )((bool )0));
      __CrestStore(890, (unsigned long )(& done));
#line 470
      done = (bool )0;
      {
#line 471
      while (1) {
        while_continue___1: /* CIL Label */ ;
        {
        __CrestLoad(893, (unsigned long )(& done), (long long )done);
        __CrestLoad(892, (unsigned long )0, (long long )0);
        __CrestApply2(891, 12, (long long )(done == 0));
#line 471
        if (done == 0) {
          __CrestBranch(894, 393, 1);
          {
          __CrestLoad(898, (unsigned long )(& i), (long long )i);
          __CrestLoad(897, (unsigned long )(& offset), (long long )offset);
          __CrestApply2(896, 17, (long long )(i >= offset));
#line 471
          if (i >= offset) {
            __CrestBranch(899, 394, 1);

          } else {
            __CrestBranch(900, 395, 0);
#line 471
            goto while_break___1;
          }
          }
        } else {
          __CrestBranch(895, 396, 0);
#line 471
          goto while_break___1;
        }
        }
        __CrestLoad(901, (unsigned long )(& j), (long long )j);
#line 472
        tmp___0 = patsize(pat, j);
        __CrestHandleReturn(903, (long long )tmp___0);
        __CrestStore(902, (unsigned long )(& tmp___0));
        __CrestLoad(904, (unsigned long )(& i), (long long )i);
        __CrestLoad(907, (unsigned long )(& j), (long long )j);
        __CrestLoad(906, (unsigned long )(& tmp___0), (long long )tmp___0);
        __CrestApply2(905, 0, (long long )(j + tmp___0));
#line 472
        k = amatch(lin, i, pat, j + tmp___0);
        __CrestHandleReturn(909, (long long )k);
        __CrestStore(908, (unsigned long )(& k));
        {
        __CrestLoad(912, (unsigned long )(& k), (long long )k);
        __CrestLoad(911, (unsigned long )0, (long long )0);
        __CrestApply2(910, 17, (long long )(k >= 0));
#line 473
        if (k >= 0) {
          __CrestBranch(913, 399, 1);
          __CrestLoad(915, (unsigned long )0, (long long )((bool )1));
          __CrestStore(916, (unsigned long )(& done));
#line 474
          done = (bool )1;
        } else {
          __CrestBranch(914, 400, 0);
          __CrestLoad(919, (unsigned long )(& i), (long long )i);
          __CrestLoad(918, (unsigned long )0, (long long )1);
          __CrestApply2(917, 1, (long long )(i - 1));
          __CrestStore(920, (unsigned long )(& i));
#line 476
          i --;
        }
        }
      }
      while_break___1: /* CIL Label */ ;
      }
      __CrestLoad(921, (unsigned long )(& k), (long long )k);
      __CrestStore(922, (unsigned long )(& offset));
#line 478
      offset = k;
      __CrestLoad(923, (unsigned long )0, (long long )((bool )1));
      __CrestStore(924, (unsigned long )(& done));
#line 479
      done = (bool )1;
    } else {
      __CrestBranch(859, 403, 0);
      __CrestLoad(925, (unsigned long )(& j), (long long )j);
#line 481
      result = omatch(lin, & offset, pat, j);
      __CrestHandleReturn(927, (long long )result);
      __CrestStore(926, (unsigned long )(& result));
      {
      __CrestLoad(930, (unsigned long )(& result), (long long )result);
      __CrestLoad(929, (unsigned long )0, (long long )0);
      __CrestApply2(928, 12, (long long )(result == 0));
#line 482
      if (result == 0) {
        __CrestBranch(931, 405, 1);
        __CrestLoad(933, (unsigned long )0, (long long )-1);
        __CrestStore(934, (unsigned long )(& offset));
#line 483
        offset = -1;
        __CrestLoad(935, (unsigned long )0, (long long )((bool )1));
        __CrestStore(936, (unsigned long )(& done));
#line 484
        done = (bool )1;
      } else {
        __CrestBranch(932, 406, 0);
        __CrestLoad(937, (unsigned long )(& j), (long long )j);
#line 486
        tmp___1 = patsize(pat, j);
        __CrestHandleReturn(939, (long long )tmp___1);
        __CrestStore(938, (unsigned long )(& tmp___1));
        __CrestLoad(942, (unsigned long )(& j), (long long )j);
        __CrestLoad(941, (unsigned long )(& tmp___1), (long long )tmp___1);
        __CrestApply2(940, 0, (long long )(j + tmp___1));
        __CrestStore(943, (unsigned long )(& j));
#line 486
        j += tmp___1;
      }
      }
    }
    }
    }
  }
  while_break: /* CIL Label */ ;
  }
  {
  __CrestLoad(944, (unsigned long )(& offset), (long long )offset);
  __CrestReturn(945);
#line 488
  return (offset);
  }
}
}
#line 491 "replace.c"
void putsub(char *lin , int s1 , int s2 , char *sub ) 
{ 
  int i ;
  int j ;
  char *mem_7 ;
  char *mem_8 ;
  char *mem_9 ;
  char *mem_10 ;

  {
  __CrestCall(948, 17);
  __CrestStore(947, (unsigned long )(& s2));
  __CrestStore(946, (unsigned long )(& s1));
  __CrestLoad(949, (unsigned long )0, (long long )0);
  __CrestStore(950, (unsigned long )(& i));
#line 500
  i = 0;
  {
#line 501
  while (1) {
    while_continue: /* CIL Label */ ;
    {
#line 501
    mem_7 = sub + i;
    {
    __CrestLoad(953, (unsigned long )mem_7, (long long )*mem_7);
    __CrestLoad(952, (unsigned long )0, (long long )0);
    __CrestApply2(951, 13, (long long )((int )*mem_7 != 0));
#line 501
    if ((int )*mem_7 != 0) {
      __CrestBranch(954, 416, 1);

    } else {
      __CrestBranch(955, 417, 0);
#line 501
      goto while_break;
    }
    }
    }
    {
#line 502
    mem_8 = sub + i;
    {
    __CrestLoad(958, (unsigned long )mem_8, (long long )*mem_8);
    __CrestLoad(957, (unsigned long )0, (long long )-1);
    __CrestApply2(956, 12, (long long )((int )*mem_8 == -1));
#line 502
    if ((int )*mem_8 == -1) {
      __CrestBranch(959, 421, 1);
      __CrestLoad(961, (unsigned long )(& s1), (long long )s1);
      __CrestStore(962, (unsigned long )(& j));
#line 503
      j = s1;
      {
#line 503
      while (1) {
        while_continue___0: /* CIL Label */ ;
        {
        __CrestLoad(965, (unsigned long )(& j), (long long )j);
        __CrestLoad(964, (unsigned long )(& s2), (long long )s2);
        __CrestApply2(963, 16, (long long )(j < s2));
#line 503
        if (j < s2) {
          __CrestBranch(966, 426, 1);

        } else {
          __CrestBranch(967, 427, 0);
#line 503
          goto while_break___0;
        }
        }
#line 505
        mem_9 = lin + j;
        __CrestLoad(968, (unsigned long )mem_9, (long long )*mem_9);
#line 505
        fputc((int )*mem_9, stdout);
        __CrestClearStack(969);
        __CrestLoad(972, (unsigned long )(& j), (long long )j);
        __CrestLoad(971, (unsigned long )0, (long long )1);
        __CrestApply2(970, 0, (long long )(j + 1));
        __CrestStore(973, (unsigned long )(& j));
#line 503
        j ++;
      }
      while_break___0: /* CIL Label */ ;
      }
    } else {
      __CrestBranch(960, 430, 0);
#line 509
      mem_10 = sub + i;
      __CrestLoad(974, (unsigned long )mem_10, (long long )*mem_10);
#line 509
      fputc((int )*mem_10, stdout);
      __CrestClearStack(975);
    }
    }
    }
    __CrestLoad(978, (unsigned long )(& i), (long long )i);
    __CrestLoad(977, (unsigned long )0, (long long )1);
    __CrestApply2(976, 0, (long long )(i + 1));
    __CrestStore(979, (unsigned long )(& i));
#line 511
    i ++;
  }
  while_break: /* CIL Label */ ;
  }

  {
  __CrestReturn(980);
#line 491
  return;
  }
}
}
#line 515 "replace.c"
void subline(char *lin , char *pat , char *sub ) 
{ 
  int i ;
  int lastm ;
  int m ;
  char *mem_7 ;
  char *mem_8 ;
  char *mem_9 ;

  {
  __CrestCall(981, 18);

  __CrestLoad(982, (unsigned long )0, (long long )-1);
  __CrestStore(983, (unsigned long )(& lastm));
#line 523
  lastm = -1;
  __CrestLoad(984, (unsigned long )0, (long long )0);
  __CrestStore(985, (unsigned long )(& i));
#line 524
  i = 0;
  {
#line 525
  while (1) {
    while_continue: /* CIL Label */ ;
    {
#line 525
    mem_7 = lin + i;
    {
    __CrestLoad(988, (unsigned long )mem_7, (long long )*mem_7);
    __CrestLoad(987, (unsigned long )0, (long long )0);
    __CrestApply2(986, 13, (long long )((int )*mem_7 != 0));
#line 525
    if ((int )*mem_7 != 0) {
      __CrestBranch(989, 442, 1);

    } else {
      __CrestBranch(990, 443, 0);
#line 525
      goto while_break;
    }
    }
    }
    __CrestLoad(991, (unsigned long )(& i), (long long )i);
    __CrestLoad(992, (unsigned long )0, (long long )0);
#line 527
    m = amatch(lin, i, pat, 0);
    __CrestHandleReturn(994, (long long )m);
    __CrestStore(993, (unsigned long )(& m));
    {
    __CrestLoad(997, (unsigned long )(& m), (long long )m);
    __CrestLoad(996, (unsigned long )0, (long long )0);
    __CrestApply2(995, 17, (long long )(m >= 0));
#line 528
    if (m >= 0) {
      __CrestBranch(998, 446, 1);
      {
      __CrestLoad(1002, (unsigned long )(& lastm), (long long )lastm);
      __CrestLoad(1001, (unsigned long )(& m), (long long )m);
      __CrestApply2(1000, 13, (long long )(lastm != m));
#line 528
      if (lastm != m) {
        __CrestBranch(1003, 447, 1);
        __CrestLoad(1005, (unsigned long )(& i), (long long )i);
        __CrestLoad(1006, (unsigned long )(& m), (long long )m);
#line 529
        putsub(lin, i, m, sub);
        __CrestClearStack(1007);
        __CrestLoad(1008, (unsigned long )(& m), (long long )m);
        __CrestStore(1009, (unsigned long )(& lastm));
#line 530
        lastm = m;
      } else {
        __CrestBranch(1004, 448, 0);

      }
      }
    } else {
      __CrestBranch(999, 449, 0);

    }
    }
    {
    __CrestLoad(1012, (unsigned long )(& m), (long long )m);
    __CrestLoad(1011, (unsigned long )0, (long long )-1);
    __CrestApply2(1010, 12, (long long )(m == -1));
#line 532
    if (m == -1) {
      __CrestBranch(1013, 451, 1);
#line 533
      mem_8 = lin + i;
      __CrestLoad(1015, (unsigned long )mem_8, (long long )*mem_8);
#line 533
      fputc((int )*mem_8, stdout);
      __CrestClearStack(1016);
      __CrestLoad(1019, (unsigned long )(& i), (long long )i);
      __CrestLoad(1018, (unsigned long )0, (long long )1);
      __CrestApply2(1017, 0, (long long )(i + 1));
      __CrestStore(1020, (unsigned long )(& i));
#line 534
      i ++;
    } else {
      __CrestBranch(1014, 452, 0);
      {
      __CrestLoad(1023, (unsigned long )(& m), (long long )m);
      __CrestLoad(1022, (unsigned long )(& i), (long long )i);
      __CrestApply2(1021, 12, (long long )(m == i));
#line 532
      if (m == i) {
        __CrestBranch(1024, 453, 1);
#line 533
        mem_9 = lin + i;
        __CrestLoad(1026, (unsigned long )mem_9, (long long )*mem_9);
#line 533
        fputc((int )*mem_9, stdout);
        __CrestClearStack(1027);
        __CrestLoad(1030, (unsigned long )(& i), (long long )i);
        __CrestLoad(1029, (unsigned long )0, (long long )1);
        __CrestApply2(1028, 0, (long long )(i + 1));
        __CrestStore(1031, (unsigned long )(& i));
#line 534
        i ++;
      } else {
        __CrestBranch(1025, 454, 0);
        __CrestLoad(1032, (unsigned long )(& m), (long long )m);
        __CrestStore(1033, (unsigned long )(& i));
#line 536
        i = m;
      }
      }
    }
    }
  }
  while_break: /* CIL Label */ ;
  }

  {
  __CrestReturn(1034);
#line 515
  return;
  }
}
}
#line 540 "replace.c"
void change(char *pat , char *sub ) 
{ 
  string line ;
  bool result ;

  {
  __CrestCall(1035, 19);

  __CrestLoad(1036, (unsigned long )0, (long long )100);
#line 547
  result = getline2(line, 100);
  __CrestHandleReturn(1038, (long long )result);
  __CrestStore(1037, (unsigned long )(& result));
  {
  __CrestLoad(1041, (unsigned long )(& result), (long long )result);
  __CrestLoad(1040, (unsigned long )0, (long long )0);
  __CrestApply2(1039, 13, (long long )(result != 0));
#line 548
  if (result != 0) {
    __CrestBranch(1042, 460, 1);
#line 549
    subline(line, pat, sub);
    __CrestClearStack(1044);
  } else {
    __CrestBranch(1043, 461, 0);

  }
  }

  {
  __CrestReturn(1045);
#line 540
  return;
  }
}
}
#line 553 "replace.c"
int main(void) 
{ 
  string pat ;
  string sub ;
  bool result ;
  string input1 ;
  string input2 ;
  int tmp ;
  int __retres8 ;

  {
  __globinit_replace();
  __CrestCall(1046, 20);
#line 570
  __CrestChar(& input1[0]);
#line 571
  __CrestChar(& input1[1]);
#line 572
  __CrestChar(& input1[2]);
#line 573
  __CrestChar(& input1[3]);
#line 574
  __CrestChar(& input1[4]);
#line 575
  __CrestChar(& input1[5]);
#line 576
  __CrestChar(& input1[6]);
#line 577
  __CrestChar(& input1[7]);
#line 578
  __CrestChar(& input1[8]);
  __CrestLoad(1047, (unsigned long )0, (long long )(char)0);
  __CrestStore(1048, (unsigned long )(& input1[9]));
#line 580
  input1[9] = (char)0;
#line 582
  tmp = getpat(input1, pat);
  __CrestHandleReturn(1050, (long long )tmp);
  __CrestStore(1049, (unsigned long )(& tmp));
  __CrestLoad(1051, (unsigned long )(& tmp), (long long )tmp);
  __CrestStore(1052, (unsigned long )(& result));
#line 582
  result = (bool )tmp;
  __CrestLoad(1055, (unsigned long )(& result), (long long )result);
  __CrestLoad(1054, (unsigned long )0, (long long )0);
  __CrestApply2(1053, 12, (long long )(result == 0));
#line 583
  if (result == 0) {
    __CrestBranch(1056, 466, 1);
#line 586
    fprintf((FILE * __restrict  )stdout, (char const   * __restrict  )"change: illegal \"from\" pattern\n");
    __CrestClearStack(1058);
    __CrestLoad(1059, (unsigned long )0, (long long )2);
#line 587
    exit(2);
    __CrestClearStack(1060);
  } else {
    __CrestBranch(1057, 467, 0);

  }
#line 597
  __CrestChar(& input2[0]);
#line 598
  __CrestChar(& input2[1]);
#line 599
  __CrestChar(& input2[2]);
#line 600
  __CrestChar(& input2[3]);
#line 601
  __CrestChar(& input2[4]);
#line 602
  __CrestChar(& input2[5]);
#line 603
  __CrestChar(& input2[6]);
#line 604
  __CrestChar(& input2[7]);
#line 605
  __CrestChar(& input2[8]);
  __CrestLoad(1061, (unsigned long )0, (long long )(char)0);
  __CrestStore(1062, (unsigned long )(& input2[9]));
#line 607
  input2[9] = (char)0;
#line 609
  result = getsub(input2, sub);
  __CrestHandleReturn(1064, (long long )result);
  __CrestStore(1063, (unsigned long )(& result));
  __CrestLoad(1067, (unsigned long )(& result), (long long )result);
  __CrestLoad(1066, (unsigned long )0, (long long )0);
  __CrestApply2(1065, 12, (long long )(result == 0));
#line 610
  if (result == 0) {
    __CrestBranch(1068, 470, 1);
#line 612
    fprintf((FILE * __restrict  )stdout, (char const   * __restrict  )"change: illegal \"to\" string\n");
    __CrestClearStack(1070);
    __CrestLoad(1071, (unsigned long )0, (long long )3);
#line 613
    exit(3);
    __CrestClearStack(1072);
  } else {
    __CrestBranch(1069, 471, 0);

  }
#line 616
  change(pat, sub);
  __CrestClearStack(1073);
  __CrestLoad(1074, (unsigned long )0, (long long )0);
  __CrestStore(1075, (unsigned long )(& __retres8));
#line 617
  __retres8 = 0;
  __CrestLoad(1076, (unsigned long )(& __retres8), (long long )__retres8);
  __CrestReturn(1077);
#line 553
  return (__retres8);
}
}
#line 620 "replace.c"
void Caseerror(int n ) 
{ 


  {
  __CrestCall(1079, 21);
  __CrestStore(1078, (unsigned long )(& n));
  __CrestLoad(1080, (unsigned long )(& n), (long long )n);
#line 624
  fprintf((FILE * __restrict  )stdout, (char const   * __restrict  )"Missing case limb: line %d\n",
          n);
  __CrestClearStack(1081);
  __CrestLoad(1082, (unsigned long )0, (long long )4);
#line 625
  exit(4);
  __CrestClearStack(1083);
  {
  __CrestReturn(1084);
#line 620
  return;
  }
}
}
void __globinit_replace(void) 
{ 


  {
  __CrestInit();
}
}
